Gestione risorse di sistema Windows

È possibile utilizzare Gestione risorse di sistema Windows per allocare risorse di memoria e processore ad applicazioni, utenti, sessioni di Servizi Desktop remoto e pool di applicazioni IIS (Internet Information Services).

  • Panoramica di Gestione risorse di sistema Windows

  • Elenchi di controllo per Gestione risorse di sistema Windows

  • Utilizzare Gestione risorse di sistema Windows

  • Interfaccia utente: Gestione risorse di sistema Windows

Per ulteriori informazioni su Gestione risorse di sistema Windows, visitare il sito Web all'indirizzo http://go.microsoft.com/fwlink/?LinkId=90924.


Panoramica di Gestione risorse di sistema Windows

Con Gestione risorse di sistema Windows per il sistema operativo Windows Server® 2008 R2 è possibile gestire l'utilizzo del processore e della memoria del server mediante criteri delle risorse standard o personalizzati. La gestione delle risorse può garantire un'uguale disponibilità di tutti i servizi forniti da un singolo server oppure una costante disponibilità delle risorse per applicazioni, servizi o utenti ad alta priorità.

Gestione risorse di sistema Windows gestisce le risorse del processore solo quando il carico combinato del processore supera il 70%. Ciò significa che non limita attivamente le risorse utilizzabili da ogni utente quando il carico del processore è basso. In caso di conflitto per l'utilizzo delle risorse del processore, i criteri di allocazione risorse garantiscono una disponibilità minima delle risorse in base al profilo di gestione definito dall'utente.

Funzionalità di Gestione risorse di sistema Windows

Gestione risorse di sistema Windows consente di eseguire le operazioni seguenti:

  • Gestire risorse di sistema (processore e memoria) mediante criteri preconfigurati oppure creare criteri personalizzati che consentano di allocare le risorse per processo, utente, sessione di Servizi Desktop remoto o pool di applicazioni Internet Information Services (IIS).

  • Utilizzare regole di calendario per applicare criteri diversi in momenti diversi senza riconfigurazioni o interventi manuali.

  • Selezionare automaticamente criteri delle risorse in base a proprietà ed eventi del server, ad esempio eventi o condizioni relative ai cluster, oppure in base a modifiche della memoria fisica installata o del numero di processori.

  • Raccogliere dati sull'utilizzo delle risorse localmente o in un database SQL personalizzato. I dati sull'utilizzo delle risorse raccolti da più server possono essere consolidati in un unico computer che esegue Gestione risorse di sistema Windows.

  • Creare un gruppo di computer per migliorare l'organizzazione dei Host sessione Desktop remoto che si desidera gestire. I criteri possono essere esportati o modificati in modo semplice per un intero gruppo di computer.

Vantaggi offerti dalla gestione delle risorse

Poiché Windows Server 2008 R2 è stato progettato in modo da allocare il maggior numero di risorse possibile ad attività non correlate al sistema operativo, la gestione delle risorse non è in genere necessaria per un server con un singolo ruolo. Quando in un singolo server sono installati più servizi e applicazioni, questi ultimi non sono tuttavia in grado riconoscere eventuali processi in conflitto. Un'applicazione o un servizio non gestito utilizza in genere tutte le risorse disponibili per completare un'attività. È pertanto importante utilizzare uno strumento quale Gestione risorse di sistema Windows per gestire le risorse di sistema in server multifunzione. L'utilizzo di Gestione risorse di sistema Windows offre due vantaggi principali:

  • È possibile eseguire più servizi in un singolo server poiché la disponibilità di ogni servizio può essere migliorata grazie alla gestione dinamica delle risorse.

  • Gli amministratori di sistema o gli utenti ad alta priorità possono accedere al sistema anche quando il carico delle risorse è massimo.

Metodi di gestione delle risorse

In Gestione risorse di sistema Windows sono disponibili cinque criteri di gestione risorse incorporati che possono essere utilizzati per implementare la gestione in modo rapido. È inoltre possibile creare criteri di gestione risorse personalizzati in base alle proprie esigenze.

Criteri di gestione risorse incorporati

Per abilitare i criteri di gestione risorse incorporati, selezionare il tipo di criterio da utilizzare. Non sono necessarie altre configurazioni.

Criterio Descrizione

Uguale per processo

Quando il sistema viene gestito in base al criterio di allocazione risorse Equal_Per_Process, ogni processo in esecuzione riceve lo stesso trattamento. Se ad esempio un server che esegue dieci processi raggiunge il 70% dell'utilizzo del processore, Gestione risorse di sistema Windows consentirà a ogni processo di utilizzare solo il 10% delle risorse del processore durante il conflitto. Si noti che le risorse non utilizzate dai processi con un basso utilizzo verranno allocate ad altri processi.

Uguale per utente

Quando il sistema viene gestito in base al criterio di allocazione risorse Equal_Per_User, i processi vengono raggruppati in base all'account utente da cui sono eseguiti e ogni gruppo di processi riceve lo stesso trattamento. Se ad esempio in un dato momento vi sono quattro utenti che eseguono processi nel server, a ogni utente verrà allocato il 25% delle risorse di sistema per il completamento di tali processi. Le risorse allocate saranno le stesse sia per un utente che esegue una singola applicazione che per un utente che esegue più applicazioni. Questo criterio risulta particolarmente utile per i server applicazioni.

Uguale per sessione

Quando il sistema viene gestito in base al criterio di allocazione risorse Equal_Per_Session, le risorse vengono allocate in modo uguale per ogni sessione connessa al sistema. Questo criterio è destinato all'utilizzo con server Host sessione Desktop remoto.

Uguale per pool di applicazioni di IIS

Quando il sistema viene gestito in base al criterio di allocazione risorse Equal_Per_IISAppPool, ogni pool di applicazioni IIS in esecuzione riceve lo stesso trattamento e le applicazioni non incluse in un pool di applicazioni IIS possono utilizzare solo le risorse non consumate dai pool di applicazioni IIS.

Sessioni remote ponderate

Quando il sistema viene gestito in base al criterio di allocazione risorse Weighted_Remote_Sessions, i processi vengono raggruppati secondo la priorità assegnata all'account utente. Se ad esempio vi sono tre utenti connessi in remoto, all'utente con priorità Premium verrà assegnato l'accesso con priorità più alta alla CPU, all'utente con priorità Standard verrà assegnato l'accesso con seconda priorità alla CPU e all'utente con priorità Di base verrà assegnato l'accesso con priorità più bassa alla CPU. Questo criterio è destinato all'utilizzo con server Host sessione Desktop remoto.

Nota

Quando Weighted_Remote_Sessions è impostato come criterio di gestione, la gestione del sistema viene delegata all'utilità di pianificazione di Windows Server 2008 R2 e Gestione risorse di sistema Windows si limita a definire il profilo del sistema. L'impostazione o la rimozione di Weighted_Remote_Sessions come criterio di gestione richiede un riavvio del computer imposto dal kernel.

Gestione personalizzata delle risorse

È possibile utilizzare metodi personalizzati di gestione delle risorse per identificare gli utenti delle risorse e allocare le risorse a tali utenti in base a criteri specifici.

Funzionalità Descrizione

Criteri di corrispondenza processo

Consentono di selezionare servizi o applicazioni da gestire in base alle regole dei criteri di allocazione risorse. È possibile selezionare le applicazioni o i servizi in base al nome di file o al comando oppure specificare utenti o gruppi. È ad esempio possibile creare un criterio di corrispondenza processo che applichi la gestione all'applicazione iexplore.exe quando viene eseguita dall'utente Administrator.

Criteri di allocazione risorse

Allocano risorse di memoria e processore ai processi specificati dai criteri di corrispondenza processo creati dall'utente.

Elenchi di esclusione

Escludono applicazioni, servizi, utenti o gruppi dalla gestione mediante Gestione risorse di sistema Windows.

Nota

In un criterio di allocazione risorse è inoltre possibile utilizzare la corrispondenza del percorso da riga di comando in un criterio di allocazione risorse per escludere un'applicazione dalla gestione solo in base a tale criterio.

Pianificazione

Utilizzare un'interfaccia di calendario per controllare eventi singoli o modifiche ricorrenti dell'allocazione delle risorse. È possibile attivare criteri di allocazione risorse diversi in momenti diversi del giorno, in giorni diversi della settimana oppure in base ad altri paradigmi di pianificazione.

Applicazione di criteri condizionali

Consentono di passare automaticamente da un criterio di allocazione risorse all'altro in seguito a determinati eventi di sistema, ad esempio l'installazione di nuova memoria o processori aggiuntivi, l'avvio o l'arresto di un nodo oppure la modifica della disponibilità di un gruppo di risorse in un cluster.

Ulteriori riferimenti

  • Gestione risorse di sistema Windows

  • Per ulteriori informazioni su Gestione risorse di sistema Windows, visitare il sito Web all'indirizzo http://go.microsoft.com/fwlink/?LinkId=90924.


Elenchi di controllo per Gestione risorse di sistema Windows

Utilizzare gli elenchi di controllo per iniziare rapidamente a gestire le risorse con Gestione risorse di sistema Windows.

  • Elenco di controllo: gestire le risorse utilizzando criteri di allocazione risorse incorporati

  • Elenco di controllo: gestire le risorse utilizzando criteri di allocazione risorse personalizzati

  • Elenco di controllo: impostare una pianificazione per i criteri di allocazione risorse


Elenco di controllo: gestire le risorse utilizzando criteri di allocazione risorse incorporati

È possibile iniziare a gestire le risorse immediatamente utilizzando i criteri di allocazione risorse incorporati inclusi in Gestione risorse di sistema Windows. Sono disponibili i criteri incorporati seguenti.

  • Equal_Per_Process: a tutti i processi che possono essere gestiti viene allocata la stessa quantità della larghezza di banda della CPU disponibile.

  • Equal_Per_User: l'utilizzo aggregato della CPU da parte di tutti i processi eseguiti da un singolo utente viene gestito in modo che ogni utente che esegue processi disponga della stessa quantità della larghezza di banda della CPU disponibile.

  • Equal_Per_IISAppPool: a ogni pool di applicazioni IIS in esecuzione nel computer gestito viene allocata la stessa quantità del 99% della larghezza di banda della CPU disponibile.

  • Equal_Per_Session: in un server Host sessione Desktop remoto, per l'utilizzo aggregato della CPU da parte di ogni sessione di Servizi Desktop remoto viene allocata la stessa quantità della larghezza di banda della CPU disponibile.

  • Weighted_Remote_Sessions: in un server Host sessione Desktop remoto l'utilizzo della CPU di ogni sessione di Servizi Desktop remoto viene allocato in base alla priorità assegnata all'utente.

Attività Riferimento

Verificare l'installazione di Gestione risorse di sistema Windows.

Installare Gestione risorse di sistema Windows

Aggiungere qualsiasi applicazione che non può o non deve essere gestita da Gestione risorse di sistema Windows all'elenco di esclusione definito dall'utente.
  • Informazioni su limitazioni ed esclusioni di Gestione risorse di sistema Windows

  • Utilizzare l'elenco di esclusione definito dall'utente

Selezionare un criterio di allocazione risorse incorporato in grado di soddisfare le specifiche esigenze.

Utilizzare criteri di allocazione risorse

Configurare il criterio di allocazione risorse per gestire il computer. In alternativa, è possibile creare un evento di calendario o una pianificazione utilizzando il criterio.

Nota

Se si desidera raccogliere dati di accounting per verificare le risorse che verranno gestite dal criterio ma non si intende per il momento attivare la gestione, impostare il criterio su Profilo anziché su Gestione.
  • Avviare e arrestare la gestione delle risorse

  • Pianificare la gestione delle risorse con il calendario

Confrontare le prestazioni del computer gestito con le aspettative e gli obiettivi.
  • Visualizzare lo stato di Gestione risorse di sistema Windows

  • Per ulteriori informazioni sull'utilizzo di Monitoraggio prestazioni, visitare il sito Web all'indirizzo http://go.microsoft.com/fwlink/?LinkId=55156

Se necessario, scegliere un diverso criterio di allocazione risorse incorporato per soddisfare le specifiche esigenze oppure creare un criterio di allocazione risorse personalizzato.
  • Utilizzare criteri di allocazione risorse

  • Utilizzare condizioni per regolare i criteri delle risorse

Ulteriori considerazioni

  • I cinque criteri di allocazione risorse incorporati di Gestione risorse di sistema Windows possono essere esportati tra computer.

  • I processi critici del sistema operativo sono esclusi dai criteri di allocazione risorse incorporati.


Elenco di controllo: gestire le risorse utilizzando criteri di allocazione risorse personalizzati

È possibile definire il modo in cui le risorse vengono gestite creando criteri di allocazione risorse personalizzati.

Attività Riferimento

Identificare le applicazioni che si desidera gestire e verificare che possano essere gestite da Gestione risorse di sistema Windows.
  • Panoramica di Gestione risorse di sistema Windows

  • Informazioni su limitazioni ed esclusioni di Gestione risorse di sistema Windows

Creare uno o più criteri di corrispondenza processo in grado di stabilire una corrispondenza con una o più applicazioni che si desidera gestire.

Utilizzare criteri di corrispondenza processo

Creare uno o più criteri di allocazione risorse che utilizzano i criteri di corrispondenza processo creati per identificare le applicazioni gestite. È in genere preferibile iniziare con allocazioni della CPU e quindi ridefinire il criterio di allocazione risorse in base alle esigenze.

Utilizzare criteri di allocazione risorse

Configurare uno o più nuovi criteri di allocazione risorse per gestire il computer. In alternativa, è possibile creare un evento di calendario o una pianificazione utilizzando il criterio.

Nota

Se si desidera raccogliere dati di accounting per verificare le risorse che verranno gestite dal criterio ma non si intende per il momento attivare la gestione, impostare il criterio su Profilo anziché su Gestione.
  • Avviare e arrestare la gestione delle risorse

  • Pianificare la gestione delle risorse con il calendario

Confrontare le prestazioni dell'applicazione gestita con le aspettative e gli obiettivi.
  • Visualizzare lo stato di Gestione risorse di sistema Windows

  • Per ulteriori informazioni sull'utilizzo di Monitoraggio prestazioni, visitare il sito Web all'indirizzo http://go.microsoft.com/fwlink/?LinkId=55156

Se necessario, ridefinire il criterio di allocazione risorse modificando l'allocazione della CPU, aggiungendo limiti di memoria, impostando affinità della CPU o applicando condizioni.
  • Utilizzare criteri di allocazione risorse

  • Utilizzare condizioni per regolare i criteri delle risorse


Elenco di controllo: impostare una pianificazione per i criteri di allocazione risorse

Passaggio Riferimento

Identificare l'applicazione che si desidera gestire e verificare che possa essere gestita da Gestione risorse di sistema Windows.

Informazioni su limitazioni ed esclusioni di Gestione risorse di sistema Windows

Creare criteri di corrispondenza processo in grado di stabilire una corrispondenza con le applicazioni che si desidera gestire.

Utilizzare criteri di corrispondenza processo

Creare criteri di allocazione risorse che utilizzano i criteri di corrispondenza processo per identificare le applicazioni gestite. È in genere preferibile iniziare con percentuali di CPU di destinazione e quindi ridefinire il criterio di allocazione risorse in base alle esigenze.

Utilizzare criteri di allocazione risorse

Creare una pianificazione per specificare quando verrà eseguito il criterio di allocazione risorse.

Pianificare la gestione delle risorse con il calendario

Attivare il controllo del calendario, se non è già attivato.

Attivare o disattivare il controllo del calendario

Confrontare le prestazioni dell'applicazione gestita con le aspettative e gli obiettivi.
  • Visualizzare lo stato di Gestione risorse di sistema Windows

  • Per ulteriori informazioni sull'utilizzo di Monitoraggio prestazioni, visitare il sito Web all'indirizzo http://go.microsoft.com/fwlink/?LinkId=55156.

Se necessario, ridefinire il criterio di allocazione risorse modificando l'allocazione della CPU, aggiungendo limiti di memoria, impostando affinità della CPU o applicando condizioni.
  • Utilizzare criteri di allocazione risorse

  • Utilizzare condizioni per regolare i criteri delle risorse


Utilizzare Gestione risorse di sistema Windows

È possibile utilizzare Gestione risorse di sistema Windows per allocare risorse di memoria e processore ad applicazioni, utenti, sessioni di Servizi Desktop remoto e pool di applicazioni IIS (Internet Information Services).

  • Installare Gestione risorse di sistema Windows

  • Informazioni su limitazioni ed esclusioni di Gestione risorse di sistema Windows

  • Creare criteri di gestione risorse

  • Avviare e arrestare la gestione delle risorse

  • Utilizzare condizioni per regolare i criteri delle risorse

  • Pianificare la gestione delle risorse con il calendario

  • Importare o esportare impostazioni di configurazione e gruppi di computer

  • Utilizzare l'elenco di esclusione definito dall'utente

  • Visualizzare lo stato di Gestione risorse di sistema Windows

  • Registrare i dati di accounting in Gestione risorse di sistema Windows

  • Configurare le opzioni di notifica

  • Utilizzare Gestione risorse di sistema Windows in sistemi remoti

  • Gestire i gruppi di computer

  • Gestire le priorità utente

Ulteriori riferimenti

  • Interfaccia utente: Gestione risorse di sistema Windows

  • Per ulteriori informazioni su Gestione risorse di sistema Windows, visitare il sito Web all'indirizzo http://go.microsoft.com/fwlink/?LinkId=90924.


Installare Gestione risorse di sistema Windows

Affinché le risorse vengano gestite da Gestione risorse di sistema Windows, è necessario che la funzionalità Gestione risorse di sistema Windows sia installata e che il servizio Gestione risorse di sistema Windows sia in esecuzione.

Installare la funzionalità Gestione risorse di sistema Windows

L'appartenenza al gruppo locale Administrators o equivalente, è il minimo indispensabile per completare questa procedura.

Per installare la funzionalità Gestione risorse di sistema Windows

  1. Aprire Server Manager. Per aprire Gestione server, fare clic su Start, scegliere Strumenti di amministrazione e quindi fare clic su Gestione server.

  2. Nel riquadro della console scorrere verso il basso fino a Riepilogo funzionalità.

  3. Fare clic su Aggiungi funzionalità. Verrà avviata l'Aggiunta guidata funzionalità.

  4. Nella pagina Selezione funzionalità selezionare la casella di controllo Gestione risorse di sistema Windows in Funzionalità e quindi fare clic su Avanti.

    Nota

    Se la funzionalità Gestione risorse di sistema Windows è già installata nel server, la casella di controllo Gestione risorse di sistema Windows risulterà selezionata e in grigio e sarà seguita dalla dicitura "(Installata)".

  5. Se viene richiesto di specificare se si desidera installare le funzionalità aggiuntive necessarie per Gestione risorse di sistema Windows, fare clic su Aggiungi funzionalità necessarie.

  6. Nella pagina Selezione funzionalità verificare che la casella di controllo Gestione risorse di sistema Windows sia selezionata e quindi fare clic su Avanti.

  7. Nella pagina Conferma selezioni per l'installazione verificare che vengano installati i ruoli, i servizi ruolo e le funzionalità seguenti:

    • Database interno di Windows

    • Gestione risorse di sistema Windows

  8. Fare clic su Installa.

  9. Nella pagina Stato installazione verrà indicato lo stato di avanzamento dell'installazione.

    Verrà indicato solo lo stato di avanzamento dell'installazione dei nuovi ruoli, servizi ruolo e funzionalità e non di eventuali ruoli, servizi ruolo e funzionalità già installati.

  10. Nella pagina Risultati installazione verificare che l'installazione di tali ruoli, servizi ruolo e funzionalità sia stata completata e quindi fare clic su Chiudi.

Verificare che il servizio Gestione risorse di sistema Windows sia stato avviato

La gestione delle risorse dipende dal servizio Gestione risorse di sistema Windows. Se è appena stata installata la funzionalità Gestione risorse di sistema Windows, questo servizio non è in esecuzione.

Per verificare che il servizio Gestione risorse di sistema Windows sia stato avviato

  1. Fare clic sul pulsante Start, scegliere Strumenti di amministrazione e quindi fare clic su Servizi. Verrà avviato Microsoft Management Console.

  2. Nel riquadro della console scorrere verso il basso l'elenco dei servizi fino a Gestione risorse di sistema Windows.

    Nota

    Per individuare il servizio potrebbe essere necessario espandere la colonna Nome.

  3. Verificare che lo stato di Gestione risorse di sistema Windows sia Avviato.

    Se il servizio Gestione risorse di sistema Windows non risulta avviato, fare clic con il pulsante destro del mouse su Gestione risorse di sistema Windows e quindi scegliere Avvia.

Ulteriori riferimenti

  • Gestione risorse di sistema Windows

  • Utilizzare Gestione risorse di sistema Windows

  • Avviare e arrestare la gestione delle risorse


Informazioni su limitazioni ed esclusioni di Gestione risorse di sistema Windows

Lo scopo di Gestione risorse di sistema Windows è quello di garantire la disponibilità delle risorse di sistema per processi, utenti, sessioni di Servizi Desktop remoto o pool di applicazioni Internet Information Services (IIS), collettivamente definiti carichi di lavoro. Se non vengono gestiti, questi carichi di lavoro possono entrare in conflitto per l'utilizzo delle risorse di sistema ed esaurirle. In alcune situazioni, tuttavia, Gestione risorse di sistema Windows non rappresenta una soluzione di gestione appropriata e non è in grado di garantire risorse sufficienti per i carichi di lavoro dei server.

Attenzione

Gestione risorse di sistema Windows non può gestire correttamente le risorse di sistema se il computer è gestito da un altro gestore delle risorse, ad esempio gestori delle risorse orientati ai processi e orientati agli oggetti processo. Per ottenere risultati ottimali, utilizzare Gestione risorse di sistema Windows come unico gestore delle risorse nel computer.

Elementi che non devono essere gestiti da Gestione risorse di sistema Windows

Applicazioni con gestione delle risorse incorporata

Le applicazioni e i processi che modificano la priorità dei processi, i limiti di memoria o l'affinità del processore in modo dinamico possono interferire con il corretto funzionamento di Gestione risorse di sistema Windows.

Se si utilizza Gestione risorse di sistema Windows per gestire un computer con applicazioni che includono una gestione delle risorse incorporata, è necessario aggiungere le applicazioni e i processi con gestione indipendente, o includere la risorsa specifica oggetto della gestione indipendente dell'applicazione, all'elenco di esclusione definito dall'utente. Se ad esempio la memoria viene gestita da un'applicazione server database, sarà possibile utilizzare Gestione risorse di sistema Windows per gestire la CPU, ma non per gestire la memoria per l'applicazione.

Per ulteriori informazioni sull'elenco di esclusione definito dall'utente, vedere Utilizzare l'elenco di esclusione definito dall'utente.

Applicazioni che utilizzano oggetti processo

Alcune applicazioni creano processi che utilizzano oggetti processo. Tali processi non possono essere gestiti da Gestione risorse di sistema Windows. Per determinare se un'applicazione utilizza oggetti processo, vedere la documentazione dell'applicazione.

Se si utilizza Gestione risorse di sistema Windows per gestire un computer con applicazioni che utilizzano oggetti processo, è necessario aggiungere tali applicazioni all'elenco di esclusione definito dall'utente.

Elementi non gestiti da Gestione risorse di sistema Windows

Applicazioni o processi ospitati da un'applicazione esclusa

Prestare attenzione in caso di aggiunta di processi che ospitano altri processi o applicazioni all'elenco di esclusione definito dall'utente. Se un'applicazione come svchost.exe viene aggiunta all'elenco di esclusione definito dall'utente, qualsiasi processo ospitato potrebbe potenzialmente utilizzare tutte le risorse disponibili, poiché non viene gestito. Se il processo host non è riportato nell'elenco di esclusione definito dall'utente, tale processo e tutti i processi ospitati vengono gestiti in base alla corrispondenza a un criterio oppure nell'ambito del gruppo predefinito.

Risorse utilizzate dal sistema operativo

Le risorse di memoria e processore utilizzate dal sistema operativo sono escluse dalla gestione tramite Gestione risorse di sistema Windows. Se ad esempio il sistema operativo utilizza il 25% della CPU disponibile in un sistema gestito tramite il criterio di allocazione risorse Equal_Per_User, a ognuno dei tre utenti che eseguono processi nel computer verrà allocato il 25% della CPU totale, ovvero il 33,33% della CPU gestibile.

Se le restanti risorse non sono sufficienti per supportare i carichi di lavoro installati nel server, è possibile eseguire le operazioni seguenti:

  • Ridurre il numero di carichi di lavoro in esecuzione nel server.

  • Installare hardware aggiuntivo per incrementare le risorse disponibili.

  • Implementare un'installazione dei componenti di base del server del sistema operativo Windows Server 2008 (se supportata dalle applicazioni e dai servizi in esecuzione nel server) per ridurre le risorse utilizzate dal sistema operativo.

Ulteriori riferimenti

  • Utilizzare Gestione risorse di sistema Windows

  • Per ulteriori informazioni su Gestione risorse di sistema Windows, visitare il sito Web all'indirizzo http://go.microsoft.com/fwlink/?LinkId=90924.


Creare criteri di gestione risorse

Per gestire le risorse di memoria e processore del server, è possibile applicare uno dei cinque criteri di allocazione risorse incorporati oppure creare una combinazione di criteri di corrispondenza processo e criteri di allocazione risorse personalizzati per la gestione personalizzata.

  • Utilizzare criteri di allocazione risorse

    • Informazioni sulla gestione del processore in Gestione risorse di sistema Windows

    • Informazioni sulla gestione della memoria in Gestione risorse di sistema Windows

    • Creare un nuovo criterio di allocazione risorse

    • Sottoallocare le risorse

  • Utilizzare criteri di corrispondenza processo

    • Informazioni sui criteri di corrispondenza processo

    • Creare criteri di corrispondenza processo

    • Visualizzare le dipendenze di criteri di allocazione risorse

Ulteriori riferimenti

  • Informazioni su limitazioni ed esclusioni di Gestione risorse di sistema Windows


Utilizzare criteri di allocazione risorse

I criteri di allocazione risorse definiscono il modo in cui le risorse di memoria e processore vengono allocate a processi, utenti o gruppi. In aggiunta ai cinque criteri di allocazione risorse incorporati di Gestione risorse di sistema Windows, è possibile creare criteri personalizzati in grado di soddisfare le specifiche esigenze.

  • Informazioni sulla gestione del processore in Gestione risorse di sistema Windows

  • Informazioni sulla gestione della memoria in Gestione risorse di sistema Windows

  • Creare un nuovo criterio di allocazione risorse

  • Sottoallocare le risorse

Ulteriori riferimenti

  • Utilizzare Gestione risorse di sistema Windows

  • Creare criteri di gestione risorse

  • Per ulteriori informazioni su Gestione risorse di sistema Windows, visitare il sito Web all'indirizzo http://go.microsoft.com/fwlink/?LinkId=90924.


Informazioni sulla gestione del processore in Gestione risorse di sistema Windows

Gestione risorse di sistema Windows gestisce le risorse del processore regolando la priorità dei processi. Viene così garantita una percentuale minima della larghezza di banda della CPU disponibile per i gruppi di processi definiti tramite criteri di corrispondenza processo. La gestione delle risorse viene applicata solo se l'utilizzo totale della CPU è superiore al 70%.

È inoltre possibile utilizzare Gestione risorse di sistema Windows per definire l'affinità del processore. I processi corrispondenti possono essere così associati a un singolo processore o a un gruppo di processori di un computer multiprocessore.

Importante

I processi del sistema operativo di base, tra cui Gestione risorse di sistema Windows, non vengono mai gestiti. È inoltre possibile escludere manualmente i processi dalla gestione aggiungendoli all'elenco di esclusione definito dall'utente. I processi non esclusi o non appartenenti a un gruppo di processi gestito devono condividere le risorse rimanenti in seguito all'allocazione. Quando viene impostato Weighted_Remote_Sessions come criterio di gestione, l'allocazione delle risorse viene eseguita dal kernel, indipendentemente dallo stato di Gestione risorse di sistema Windows.

Metodi di gestione del processore

Le risorse del processore possono essere gestite da Gestione risorse di sistema Windows tramite percentuali di CPU di destinazione o regole di affinità del processore.

Importante

Se un'applicazione include la gestione dell'utilizzo della CPU o dell'affinità del processore, è consigliabile utilizzare la gestione delle risorse nativa e aggiungere l'applicazione all'elenco di esclusione definito dall'utente.

Percentuali di CPU di destinazione

Il metodo più semplice per allocare le risorse del processore consiste nel fare in modo che venga destinata una percentuale di CPU a ogni gruppo di processi definiti tramite un criterio di corrispondenza processo. Tale percentuale corrisponde alla percentuale della larghezza di banda della CPU disponibile garantita come minimo per il gruppo di processi.

Nota

Le risorse allocabili sono costituite dalle risorse non utilizzate da processi del sistema operativo di base o da processi esclusi manualmente.

Poiché Gestione risorse di sistema Windows garantisce la disponibilità minima di larghezza di banda della CPU anziché limitare l'utilizzo della larghezza di banda della CPU, l'utilizzo effettivo della CPU da parte di un gruppo di processi gestito può essere superiore all'allocazione minima. La capacità extra di un gruppo di processi gestito che non sta utilizzando la relativa allocazione minima verrà riallocata a gruppi di processi che necessitano di maggiori risorse.

Regole di gestione

Quando si crea un criterio di allocazione risorse con vincoli per la CPU, è inoltre possibile scegliere una regola di gestione da applicare. Tali regole di gestione sono simili ai criteri di allocazione risorse incorporati, ma se applicate a una singola allocazione di risorse appartenente a un criterio di allocazione risorse suddividono la CPU allocata tra tutti i processi corrispondenti per l'allocazione di risorse.

Sono disponibili le regole di gestione seguenti.
Standard (impostazione predefinita)

Gestione risorse di sistema Windows non tenta di controllare come la CPU allocata viene suddivisa tra i processi corrispondenti. Quando si seleziona questa regola di gestione, è possibile sottoallocare le risorse ai processi corrispondenti utilizzando criteri di corrispondenza processo aggiuntivi. Per ulteriori informazioni, vedere la sezione Sottoallocazione più avanti in questo argomento.

È ad esempio possibile che un processo corrispondente utilizzi tutta la larghezza di banda della CPU allocata. Poiché non viene gestito da Gestione risorse di sistema Windows, tale utilizzo potrebbe influire su un secondo processo.

Uguale per processo

La larghezza di banda della CPU disponibile viene suddivisa uniformemente tra i processi corrispondenti. Quando si seleziona questa regola di gestione, la sottoallocazione non è consentita.

Se ad esempio due processi corrispondenti utilizzano il 100% della larghezza di banda della CPU allocata, Gestione risorse di sistema Windows abbassa la priorità del processo che supera il 50% di utilizzo della CPU.

Uguale per utente

La larghezza di banda della CPU disponibile viene condivisa in modo uniforme dai gruppi di processi corrispondenti eseguiti da un singolo utente. Quando si seleziona questa regola di gestione, la sottoallocazione non è consentita.

Se ad esempio due utenti eseguono più applicazioni che utilizzano il 100% della larghezza di banda della CPU allocata, Gestione risorse di sistema Windows abbassa la priorità dei processi eseguiti dall'utente che supera il 50% di utilizzo della CPU.

Uguale per sessione

In un server Host sessione Desktop remoto la larghezza di banda della CPU disponibile viene condivisa in modo uniforme dai processi corrispondenti in esecuzione in ogni sessione di Servizi Desktop remoto. Quando si seleziona questa regola di gestione, la sottoallocazione non è consentita.

Se ad esempio due utenti connessi a un server Host sessione Desktop remoto utilizzano il 100% della larghezza di banda della CPU allocata, Gestione risorse di sistema Windows abbassa la priorità dei processi eseguiti nella sessione di Servizi Desktop remoto che supera il 50% di utilizzo della CPU.

Sottoallocazione

Le allocazioni di percentuali di CPU di destinazione possono essere ulteriormente suddivise in sottoallocazioni. Una sottoallocazione consente di allocare risorse che vengono calcolate come percentuale delle risorse allocate da un'allocazione di risorse padre. La sottoallocazione stabilisce una corrispondenza con un criterio di corrispondenza processo diverso rispetto all'allocazione di risorse padre.

Le sottoallocazioni hanno la precedenza rispetto al criterio di allocazione risorse predefinito. Per ulteriori informazioni, vedere Sottoallocare le risorse.

Gestione predefinita: Uguale per processo

Per impostazione predefinita, il criterio per la gestione delle risorse tra i processi di un singolo gruppo di processi è il criterio incorporato Equal_Per_Process. Con questo criterio:

  • La larghezza di banda della CPU disponibile viene suddivisa in modo uniforme tra i processi identificati tramite il criterio di corrispondenza processo.

  • La protezione dai processi fuori controllo è attivata per impostazione predefinita.

  • Avviando Gestione risorse di sistema Windows senza configurazione aggiuntiva, il criterio viene applicato a tutti i processi che possono essere gestiti in esecuzione in un server gestito.

È possibile modificare questo criterio predefinito modificando le proprietà di Gestione risorse di sistema Windows. È consigliabile attivare Criterio di allocazione risorse corrente (se il calendario è disattivato) oppure disattivare Criterio predefinito calendario (se il calendario è attivato).

Affinità del processore

Oltre a specificare una percentuale di CPU di destinazione, è possibile collegare i processi corrispondenti a processori specifici di sistemi multiprocessore. Questo metodo consente di suddividere in modo efficiente le risorse del server tra alcuni criteri di corrispondenza processo, ma è consigliabile prestare attenzione in caso di utilizzo dell'affinità del processore con un numero elevato di criteri di corrispondenza processo. Al momento del calcolo delle risorse disponibili per un processo con affinità, Gestione risorse di sistema Windows considera soltanto lo stato del singolo processore. Pertanto, in caso di carico elevato nel sistema potrebbe verificarsi la sovrallocazione delle risorse del processore.

In alcuni casi, la larghezza di banda della CPU disponibile potrebbe essere inferiore al previsto. Ciò riduce la larghezza di banda della CPU allocata ai processi corrispondenti e può causare una risposta dei processi più lenta del previsto. Ciò può verificarsi nelle situazioni seguenti:

  • Il numero di processori con cui il gruppo di processi ha affinità è troppo ridotto.

  • I processi senza affinità utilizzano un processore a cui è vincolato un altro gruppo di processi.

I criteri di corrispondenza processo non possono verificare se è presente un conflitto di allocazione tra processi con affinità.

Nota

La gestione dell'affinità della CPU tramite Gestione risorse di sistema Windows non è consigliata per la gestione multi-instanza di SQL Server. Utilizzare invece le impostazioni relative all'affinità del processore in SQL Server.

Ulteriori riferimenti

  • Gestione risorse di sistema Windows

  • Utilizzare Gestione risorse di sistema Windows

  • Utilizzare criteri di allocazione risorse

  • Sottoallocare le risorse

  • Per ulteriori informazioni su Gestione risorse di sistema Windows, visitare il sito Web all'indirizzo http://go.microsoft.com/fwlink/?LinkId=90924.


Informazioni sulla gestione della memoria in Gestione risorse di sistema Windows

In Gestione risorse di sistema Windows è possibile creare allocazioni di risorse per limitare la quantità di memoria del working set o la quantità di memoria impegnata utilizzata da un processo.

I limiti di memoria vengono applicati a livello di processo. Se ad esempio si crea un'allocazione di risorse che specifica un limite del working set di 10 megabyte (MB) e si applica tale allocazione a un criterio di corrispondenza processo che stabilisce una corrispondenza con sei processi in esecuzione, il limite di 10 MB verrà applicato singolarmente a ognuno dei sei processi.

Limiti relativi alla memoria del working set

È possibile impostare un limite massimo per il working set di un processo corrispondente. Gestione risorse di sistema Windows impedisce al working set di un processo corrispondente di superare il limite definito nell'allocazione di risorse. Se il limite viene raggiunto, le successive allocazioni di memoria non avranno esito negativo, ma le pagine esistenti nel working set verranno sostituite. Vengono così impediti successivi errori delle applicazioni.

Limiti relativi alla memoria impegnata

È possibile impostare un limite massimo per la memoria impegnata utilizzata da un processo. Se si verifica un aumento costante della memoria impegnata utilizzata da un processo, tale incremento è in genere causato da una perdita di memoria nel processo. Impostando un limite per la quantità di memoria impegnata utilizzata da un processo, è possibile intervenire in caso di perdita di memoria. Quando viene raggiunto il limite, Gestione risorse di sistema Windows può registrare un evento nel registro eventi oppure terminare il processo e registrare un evento nel registro eventi.

Il limite relativo alla memoria impegnata viene gestito dal servizio Gestione risorse di sistema Windows, che esegue il monitoraggio dell'utilizzo della memoria impegnata da parte dei processi corrispondenti. Il servizio applica inoltre l'azione definita dall'utente ogni volta che l'utilizzo della memoria impegnata da parte del processo ne supera il limite. Sono disponibili solo due azioni definite dall'utente:

  • Registrare l'evento

  • Terminare il processo e registrare l'evento

Ulteriori considerazioni

  • Non utilizzare limiti di memoria in Gestione risorse di sistema Windows per gestire applicazioni o processi che modificano i propri limiti di memoria in modo dinamico. Ciò potrebbe interferire con il corretto funzionamento di Gestione risorse di sistema Windows e dell'applicazione gestita.

  • Per gestire le risorse è consigliabile destinare percentuali di CPU di destinazione. Applicare limiti di memoria in modo selettivo alle applicazioni in cui vengono riscontrati problemi di utilizzo della memoria. Una limitazione eccessiva della memoria disponibile per un'applicazione può aumentare la quantità di tempo necessaria per completare un'attività dell'applicazione nonché l'utilizzo del disco.

Ulteriori riferimenti

  • Utilizzare criteri di allocazione risorse

  • Per ulteriori informazioni su Gestione risorse di sistema Windows, visitare il sito Web all'indirizzo http://go.microsoft.com/fwlink/?LinkId=90924.


Creare un nuovo criterio di allocazione risorse

Un criterio di allocazione risorse definisce il modo in cui le risorse vengono gestite da Gestione risorse di sistema Windows. Per gestire un computer è possibile utilizzare un solo criterio di allocazione risorse alla volta.

Un criterio di allocazione risorse contiene una o più allocazioni di risorse. Le allocazioni di risorse vengono applicate alle applicazioni e ai processi corrispondenti a un criterio di corrispondenza processo.

Importante

Prima di creare criteri di allocazione risorse è necessario creare almeno un criterio di corrispondenza processo, a meno che non si desideri gestire soltanto processi residuali o pool di applicazioni Internet Information Services (IIS). Per ulteriori informazioni sui criteri di corrispondenza processo, vedere Utilizzare criteri di corrispondenza processo.

Creare un criterio di allocazione risorse

Un criterio di allocazione risorse deve contenere almeno un'allocazione di risorse. I tipi di allocazioni di risorse includono percentuali di CPU di destinazione, limiti di memoria e affinità del processore. È inoltre possibile sottoallocare le risorse all'interno di un'allocazione di risorse di un criterio di allocazione risorse. Per ulteriori informazioni sulla sottoallocazione, vedere Sottoallocare le risorse.

L'appartenenza al gruppo locale Administrators o equivalente, è il minimo indispensabile per completare questa procedura.

Per creare una nuova allocazione di risorse

  1. Aprire Gestione risorse di sistema Windows. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione e quindi Gestione risorse di sistema Windows.

  2. Nella finestra di dialogo Connetti al computer selezionare Questo computer e quindi fare clic su Connetti.

  3. Nell'albero della console fare clic con il pulsante destro del mouse su Criteri di allocazione delle risorse e quindi scegliere Nuovo criterio di allocazione risorse.

  4. Nella finestra di dialogo Nuovo criterio di allocazione risorse digitare un nome descrittivo per il nuovo criterio nella casella Nome criterio e quindi fare clic su Aggiungi.

    Nota

    Il nome di un criterio di allocazione risorse non può iniziare con un trattino (-) e non può contenere spazi né i caratteri seguenti: , \ / * ; ? : " | - < oppure >.

  5. Nella finestra di dialogo Aggiunta o modifica allocazione risorse utilizzare le procedure seguenti per creare un'allocazione di risorse relativa alla percentuale di CPU da destinare o un'allocazione di risorse di memoria oppure per definire l'affinità processori.

  6. Dopo aver aggiunto le allocazioni di risorse per il nuovo criterio di allocazione risorse, fare clic su OK.

Il tipo più comune di allocazione di risorse è costituito da una percentuale di CPU di destinazione. Per ulteriori informazioni, vedere Informazioni sulla gestione del processore in Gestione risorse di sistema Windows.

Per creare un'allocazione di risorse relativa alla percentuale di CPU da destinare

  1. Nella scheda Generale della finestra di dialogo Aggiunta o modifica allocazione risorse selezionare nell'elenco Criteri di corrispondenza processo un criterio di corrispondenza processo per i processi corrispondenti da gestire tramite l'allocazione delle risorse. Per ulteriori informazioni sulla creazione di criteri di corrispondenza processo, vedere Utilizzare criteri di corrispondenza processo.

  2. Nella casella Percentuale processore allocata per la risorsa immettere la percentuale di larghezza di banda della CPU disponibile da allocare e quindi fare clic su OK.

    Nota

    Se il valore percentuale viene impostato su 0, la larghezza di banda della CPU non viene allocata. I processi corrispondenti pertanto non potranno utilizzare larghezza di banda della CPU se la larghezza di banda allocata ad altre allocazioni di risorse del criterio di allocazione risorse ammonta al 100%.

  3. Per aggiungere ulteriori allocazioni di risorse, fare clic su Aggiungi e quindi ripetere i passaggi 1 e 2.

Le allocazioni di risorse relative alla memoria limitano la quantità di memoria utilizzata da un unico processo e possono attivare azioni definite dall'utente in caso di superamento dei limiti. Per ulteriori informazioni, vedere Informazioni sulla gestione della memoria in Gestione risorse di sistema Windows.

Per creare un'allocazione di risorse relativa alla memoria

  1. Nella scheda Generale della finestra di dialogo Aggiunta o modifica allocazione risorse selezionare nell'elenco Criteri di corrispondenza processo un criterio di corrispondenza processo per i processi corrispondenti da gestire tramite l'allocazione delle risorse.

  2. Nella scheda Memoria selezionare una o entrambe le opzioni:

    • Usa massimo memoria vincolata per ogni processo

    • Usa limite massimo working set per ogni processo

  3. Se si è selezionato Usa massimo memoria vincolata per ogni processo:

    • Nella casella Limite massimo memoria impegnata per processo digitare un valore in megabyte (MB).

    • Nella casella Se il limite di memoria viene superato selezionare un'azione da eseguire in caso di raggiungimento del limite.

  4. Se si è selezionato Usa limite massimo working set per ogni processo, nella casella Limite massimo working set per processo digitare un valore in megabyte.

  5. Fare clic su OK.

  6. Per aggiungere ulteriori allocazioni di risorse di memoria, fare clic su Aggiungi e quindi ripetere i passaggi da 1 a 5.

L'affinità del processore limita i processi corrispondenti ai processori con cui hanno affinità. Per ulteriori informazioni, vedere Informazioni sulla gestione del processore in Gestione risorse di sistema Windows.

Per definire l'affinità del processore

  1. Nella scheda Generale della finestra di dialogo Aggiunta o modifica allocazione risorse selezionare nell'elenco Criteri di corrispondenza processo un criterio di corrispondenza processo per i processi corrispondenti da gestire tramite l'allocazione delle risorse.

  2. Nella scheda Avanzate selezionare Usa processori specificati.

    Nota

    L'opzione Usa processori specificati sarà disponibile solo se nel sistema sono presenti più processori.

  3. Immettere il numero del processore oppure l'elenco o l'intervallo di numeri dei processori e quindi fare clic su OK. I numeri dei processori sono inclusi nell'intervallo da 0 a (n-1), dove n è uguale al numero di processori nel server.

    • Per specificare un singolo processore, digitarne il numero.

    • Per specificare un elenco di numeri dei processori, separare i numeri con una virgola. Digitare ad esempio: 0, 3, 7.

    • Per specificare un intervallo di numeri dei processori, separare il primo e l'ultimo numero di processore con un trattino. Digitare ad esempio: 2-4.

Ulteriori riferimenti

  • Gestione risorse di sistema Windows

  • Utilizzare criteri di allocazione risorse

  • Utilizzare criteri di corrispondenza processo


Sottoallocare le risorse

Una sottoallocazione è una gerarchia di allocazione delle risorse costituita da una o più allocazioni di risorse raggruppate.

È possibile utilizzare una sottoallocazione per suddividere un'allocazione di risorse della CPU in una o più allocazioni di risorse, ognuna con una specifica allocazione della CPU. Queste sottoallocazioni vengono raggruppate gerarchicamente sotto l'allocazione di risorse di primo livello. La percentuale della CPU allocata all'allocazione di risorse padre viene quindi distribuita tra le sottoallocazioni, nelle proporzioni specificate nell'allocazione della CPU di ogni sottoallocazione.

Nota

Quando applica i criteri di gestione, Gestione risorse di sistema Windows valuta l'intera gerarchia di sottoallocazioni. L'ultima sottoallocazione nella gerarchia viene applicata per prima e le restanti allocazioni vengono applicate in ordine risalendo la gerarchia fino all'allocazione di risorse padre.

L'unica relazione tra un'allocazione di risorse e le relative sottoallocazioni è rappresentata dal fatto che condividono la larghezza di banda della CPU allocata dall'allocazione di risorse padre. I processi corrispondenti a queste allocazioni sono diversi.

  • Creare sottoallocazioni

  • Sottoallocazioni di esempio

Creare sottoallocazioni

Le sottoallocazioni vengono create in allocazioni di risorse esistenti, incluse in criteri di allocazione risorse.

Nota

È possibile creare una sottoallocazione solo quando la regola di gestione dell'allocazione di risorse padre è impostata su Standard.

Nota

Ogni sottoallocazione deve essere configurata in modo da utilizzare un diverso criterio di corrispondenza processo. Se lo stesso criterio di corrispondenza processo viene utilizzato più volte in una gerarchia di sottoallocazioni, i processi verranno gestiti dalla prima allocazione di risorse con cui viene stabilita una corrispondenza.

L'appartenenza al gruppo locale Administrators o equivalente, è il minimo indispensabile per completare questa procedura.

Per creare una sottoallocazione in un'allocazione di risorse esistente

  1. Aprire Gestione risorse di sistema Windows. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione e quindi Gestione risorse di sistema Windows.

  2. Nella finestra di dialogo Connetti al computer selezionare Questo computer e quindi fare clic su Connetti.

  3. Nell'albero della console espandere Criteri di allocazione delle risorse, fare clic con pulsante destro del mouse sul criterio di allocazione risorse contenente l'allocazione di risorse in cui si desidera creare una sottoallocazione e quindi scegliere Proprietà.

  4. Nella scheda Risorse fare clic sul nome dell'allocazione di risorse in cui si desidera creare una sottoallocazione in Alloca le seguenti risorse e quindi su Modifica.

  5. Nella scheda Avanzate fare clic su Sottoalloca risorse.

  6. Nella finestra di dialogo Sottoalloca risorse fare clic su Aggiungi.

  7. Eseguire la procedura per creare un'allocazione di risorse. Per istruzioni dettagliate, vedere le procedure in Creare un nuovo criterio di allocazione risorse. Al termine fare clic su OK.

  8. È possibile creare tutte le sottoallocazioni necessarie.

    • È possibile creare più sottoallocazioni sotto l'allocazione di risorse padre facendo di nuovo clic su Sottoalloca risorse.

    • Per creare sottoallocazioni sotto una sottoallocazione, fare clic su Sottoalloca risorse, fare clic sulla sottoallocazione che si desidera sottoallocare ulteriormente e su Modifica e quindi continuare dal passaggio 3 di questa procedura.

  9. Dopo aver creato le sottoallocazioni, nella pagina Proprietà dell'allocazione di risorse padre fare clic su OK.

Sottoallocazioni di esempio

Sottoallocare le risorse tra più funzioni del server

Una situazione in cui viene normalmente utilizzata la sottoallocazione è quando si dispone di un unico server che esegue più funzioni. Ogni funzione è ugualmente importante e per completare ogni funzione vengono eseguite più applicazioni.

È possibile configurare un'unica allocazione di risorse con più sottoallocazioni figlio, ognuna con una specifica allocazione relativa. In questo modo, si può creare una gerarchia.

Nella tabella seguente è disponibile un esempio di come è possibile utilizzare una semplice sottoallocazione per suddividere le risorse all'interno di un criterio di allocazione risorse. Nell'esempio viene illustrato come allocare le risorse tra un gruppo di processi che eseguono una funzione per cui si desidera riservare il 50% della larghezza di banda della CPU disponibile totale, mantenendo il restante 50% per gli altri processi.

Le allocazioni o le sottoallocazioni sono elencate nell'ordine in cui verrebbero create dall'utente.

Allocazione o sottoallocazione Proprietà

Allocazione di risorse ar_A

  • 50% della CPU disponibile

  • Si applica al criterio di corrispondenza processo ccp_A

Allocazione delle risorse padre ulteriormente suddivisa tra le sottoallocazioni. L'allocazione padre viene applicata per ultima. Qualsiasi risorsa non utilizzata dalle sottoallocazioni risulta pertanto disponibile per i processi corrispondenti a ccp_A.

Sottoallocazione sotto_B

  • 20% della CPU allocata da ar_A

  • Si applica al criterio di corrispondenza processo ccp_B

Prima sottoallocazione di ar_A. I processi corrispondenti a ccp_B possono utilizzare fino al 10% della larghezza di banda della CPU totale (20% del 50% disponibile per ar_A).

Sottoallocazione sotto_C

  • 30% della CPU allocata da ar_A

  • Si applica al criterio di corrispondenza processo ccp_C

Seconda sottoallocazione di ar_A. I processi corrispondenti a ccp_C possono utilizzare fino al 15% della larghezza di banda della CPU totale (30% del 50% disponibile per ar_A).

Allocazione di risorse ar_D

  • 50% della CPU disponibile

  • Si applica al criterio di corrispondenza processo Residuale.

Allocazione di risorse allo stesso livello della gerarchia di ar_A. I processi non corrispondenti a un altro criterio di corrispondenza processo possono utilizzare fino al 50% della larghezza di banda della CPU disponibile totale.

Poiché le sottoallocazioni dell'esempio ammontano al 50% dell'allocazione di risorse padre, i processi corrispondenti a ccp_A possono utilizzare un minimo pari al 25% della larghezza di banda della CPU totale o il 50% del 50% disponibile per ar_A.

Impostare la priorità dei processi utilizzando sottoallocazioni

Un'altra situazione in cui vengono normalmente utilizzate le sottoallocazioni è quando si dispone di un server che esegue più funzioni di cui si desidera impostare la priorità in base all'importanza. Poiché le risorse non utilizzate da una sottoallocazione risultano disponibili per l'allocazione di risorse padre, è possibile utilizzare questa logica incorporata per impostare la priorità dei processi tramite sottoallocazioni.

Per impostare la priorità dei processi, creare una serie di sottoallocazioni nidificate ordinata dall'ultima allocazione di risorse che si desidera applicare (allocazione di risorse padre) alla prima allocazione di risorse da applicare (ultima sottoallocazione), assegnando a ogni allocazione il 99% della CPU.

A ogni allocazione di risorse e sottoallocazione viene assegnato il 99% della CPU disponibile poiché l'obiettivo non è limitare l'utilizzo della CPU, bensì definire l'ordine in cui i processi accedono alla larghezza di banda della CPU.

Nella tabella seguente è disponibile un esempio di come è possibile impostare la priorità dei processi tramite sottoallocazioni. Le allocazioni o le sottoallocazioni sono elencate nell'ordine in cui verrebbero create dall'utente.

Allocazione o sottoallocazione Proprietà

Allocazione di risorse PrioritàMinima

  • 99% della CPU disponibile

  • Corrisponde al criterio di corrispondenza processo ImportanzaMinima

Allocazione delle risorse padre ulteriormente suddivisa tra le sottoallocazioni. L'allocazione delle risorse padre viene applicata per ultima. Qualsiasi risorsa non utilizzata dalle sottoallocazioni risulta pertanto disponibile per i processi corrispondenti a ImportanzaMinima.

Sottoallocazione PrioritàMedia

  • Sottoallocazione di PrioritàMinima

  • 99% della CPU allocata da PrioritàMinima

  • Corrisponde al criterio di corrispondenza processo ImportanzaMedia

Unica sottoallocazione di PrioritàMinima. Viene applicata prima di PrioritàMinima e dopo PrioritàMassima. Qualsiasi risorsa non utilizzata da PrioritàMedia risulta disponibile per PrioritàMinima.

Sottoallocazione PrioritàMassima

  • Sottoallocazione di PrioritàMedia

  • 99% della CPU allocata da PrioritàMedia

  • Corrisponde al criterio di corrispondenza processo ImportanzaMassima

Unica sottoallocazione di PrioritàMedia. Poiché si tratta dell'ultima sottoallocazione, viene applicata per prima. Qualsiasi risorsa non utilizzata da PrioritàMassima risulta disponibile per PrioritàMedia.

Nell'esempio, i processi non sono vincolati a una quantità fissa di larghezza di banda della CPU. Ai processi a cui si applica l'ultima sottoallocazione viene invece assegnata tutta la larghezza di banda della CPU che possono utilizzare e la restante larghezza di banda della CPU viene distribuita tra gli altri processi in conflitto risalendo in ordine la catena.

Ulteriori riferimenti

  • Gestione risorse di sistema Windows

  • Utilizzare criteri di allocazione risorse

  • Per ulteriori informazioni su Gestione risorse di sistema Windows, visitare il sito Web all'indirizzo http://go.microsoft.com/fwlink/?LinkId=90924.


Utilizzare criteri di corrispondenza processo

I criteri di corrispondenza processo vengono utilizzati per stabilire una corrispondenza tra processi in esecuzione nel sistema e aggregare i processi corrispondenti all'interno di gruppi. Tali gruppi possono quindi essere gestiti tramite un criterio di allocazione risorse.

  • Informazioni sui criteri di corrispondenza processo

  • Creare criteri di corrispondenza processo

  • Visualizzare le dipendenze di criteri di allocazione risorse


Informazioni sui criteri di corrispondenza processo

I criteri di corrispondenza processo vengono utilizzati per stabilire una corrispondenza con i processi in esecuzione nel sistema e per aggregare i processi corrispondenti in gruppi. Tali gruppi possono quindi essere gestiti tramite un criterio di allocazione risorse.

Procedura per stabilire una corrispondenza con i processi

Ogni criterio di corrispondenza processo è costituito da uno o più criteri di corrispondenza che specificano la logica utilizzata per stabilire una corrispondenza con i processi. Dopo che è stato definito, un criterio di corrispondenza processo può essere incluso in una o più allocazioni di risorse.

Un criterio di corrispondenza processo offre due meccanismi per stabilire una corrispondenza con i processi. Un meccanismo stabilisce una corrispondenza con file o righe di comando, mentre l'altro stabilisce una corrispondenza con utenti o gruppi. Questi meccanismi sono illustrati nella tabella seguente.

Criterio di corrispondenza Descrizione

File o righe di comando

È possibile utilizzare la corrispondenza di righe di comando o file per selezionare uno o più servizi registrati, processi in esecuzione o file eseguibili di applicazioni.

Con la corrispondenza di righe di comando o file, è possibile stabilire una corrispondenza con i processi in esecuzione in qualsiasi parte del percorso da riga di comando completo del file eseguibile dell'applicazione utilizzato per creare il processo.

È ad esempio possibile utilizzare un carattere jolly come segue:

C:\Programmi\*

Con questo esempio verrà stabilita una corrispondenza con tutte le applicazioni avviate da un file eseguibile di applicazione che si trova nella directory C:\Programmi\.

È inoltre possibile stabilire una corrispondenza con qualsiasi parte della stringa della riga di comando passata al processo al momento della relativa creazione.

È possibile utilizzare la corrispondenza di file per stabilire una corrispondenza con tutti i processi creati dal nome di file eseguibile incluso nel criterio di corrispondenza, nonché utilizzare la corrispondenza di righe di comando per stabilire una corrispondenza con tutti i processi contenenti la stringa esatta del percorso da riga di comando. A meno che non vengano utilizzati caratteri jolly o espressioni regolari, viene stabilita una corrispondenza con un processo solo in caso di corrispondenza esatta tra il processo e il criterio di corrispondenza.

Se ad esempio si avvia Guida e supporto tecnico, uno dei processi creati è helpctr.exe, corrispondente al nome del file eseguibile. La stringa della riga di comando per il processo è la seguente:

C:\Windows\PCHealth\HelpCtr\Binaries\helpctr.exe -FromStartHelp

Per stabilire una corrispondenza con questo processo, è possibile creare un criterio di corrispondenza dei file con la stringa helpctr.exe. Tale stringa corrisponde esattamente al nome del file eseguibile del processo, helpctr.exe. Se invece è stato creato un criterio di corrispondenza della riga di comando, quale ad esempio C:\Windows\PCHealth\HelpCtr, non corrisponderà. Ciò dipende dal fatto che la corrispondenza della riga di comando richiede una corrispondenza esatta della stringa C:\Windows\PCHealth\HelpCtr\Binaries\helpctr.exe oppure l'utilizzo di un'espressione regolare o di un carattere jolly, ad esempio C:\Windows\PCHealth\HelpCtr\*.

Utenti o gruppi

Con la corrispondenza dell'utente o del gruppo, è possibile selezionare un account utente o un gruppo. Viene quindi stabilita una corrispondenza con qualsiasi processo creato dall'account utente o da un membro del gruppo.

Quando si utilizza la corrispondenza dell'utente o del gruppo, viene stabilita una corrispondenza con tutti i processi avviati dall'utente specificato o da qualsiasi account utente membro del gruppo specificato. Si tratta di una corrispondenza di uguaglianza che consente di stabilire una corrispondenza soltanto con gli account utente o i gruppi che corrispondono esattamente all'utente o al gruppo specificato.

Se si utilizza la corrispondenza del gruppo, i gruppi con l'account utente da cui viene avviato il processo vengono confrontati con il gruppo specificato nel criterio di corrispondenza processo. In caso di corrispondenza di uguaglianza, viene stabilita una corrispondenza con il processo.

Con la corrispondenza dell'utente o del gruppo non è possibile utilizzare caratteri jolly o espressioni regolari.

Nota

Quando si creano criteri di corrispondenza processo con lo snap-in Gestione risorse di sistema Windows, i nomi di utente e gruppo specificati vengono convalidati durante la creazione. I criteri di corrispondenza processo importati non vengono tuttavia convalidati. Prima di includere criteri di corrispondenza processo importati in un criterio di allocazione risorse, verificare che tutti i nomi di utente o gruppo in essi indicati esistano nel computer di destinazione dell'importazione.

Criteri di corrispondenza processo inclusi

In Gestione risorse di sistema Windows sono inclusi due criteri di corrispondenza processo.

  • Il criterio di corrispondenza processo Residuale stabilisce una corrispondenza con tutti i processi che presentano le caratteristiche seguenti:

    • Non sono inclusi nell'elenco di esclusione definito dall'utente.

    • Non sono esclusi dalla gestione tramite Gestione risorse di sistema Windows.

    • Non corrispondono a un altro criterio di corrispondenza processo.

  • Il criterio di corrispondenza processo IISAppPool stabilisce una corrispondenza con tutti i processi appartenenti a un pool di applicazioni Internet Information Services (IIS).

Considerazioni per la creazione di criteri di corrispondenza processo

Quando si crea un criterio di corrispondenza processo, si includono o si escludono processi, percorsi, utenti o gruppi specifici.

È possibile trovare la corrispondenza di un processo solo con un criterio di corrispondenza processo.

Quando si crea un criterio di corrispondenza processo, è consigliabile considerare se tutti i processi di un'applicazione sono noti o meno.

  • Quando tutti i processi sono noti, è possibile creare un criterio di corrispondenza processo specifico dell'applicazione che consente di stabilire una corrispondenza soltanto con i processi appartenenti all'applicazione specificata.

  • Quando non tutti i processi sono noti, al momento della creazione del criterio di corrispondenza è necessario prestare attenzione per non stabilire una corrispondenza con processi imprevisti. È consigliabile utilizzare la corrispondenza del percorso da riga di comando completo. La corrispondenza del percorso da riga di comando consente di stabilire una corrispondenza soltanto con i processi avviati dal file eseguibile specifico dell'applicazione.

Al momento della creazione di criteri di corrispondenza processo, è necessario considerare un terzo caso speciale, ovvero il caso in cui un'applicazione crea processi con lo stesso nome. Per ulteriori informazioni, vedere Creare criteri di corrispondenza processo.

Logica dei criteri di corrispondenza processo

È possibile creare più criteri di corrispondenza in un unico criterio di corrispondenza processo in modo da stabilire una corrispondenza con un maggior numero di processi. Con criteri di corrispondenza più complessi si possono specificare processi particolari con cui non è possibile stabilire una corrispondenza tramite una regola generale. Per rimuovere un processo da un set di corrispondenza, è possibile utilizzare regole di esclusione.

Un criterio di corrispondenza processo deve includere almeno una delle regole descritte in "Componente della regola" nella tabella seguente. È inoltre supportato l'utilizzo di più regole in un unico criterio di corrispondenza processo.

Componente della regola Commenti

File o righe di comando inclusi

Il criterio di corrispondenza viene innanzitutto confrontato con il percorso da riga di comando completo di tutti i processi gestiti. Tutti i processi corrispondenti al criterio vengono raggruppati nell'allocazione di risorse associata.

Successivamente, il criterio di corrispondenza viene confrontato con il nome di file di tutti i restanti processi gestiti e qualsiasi processo corrispondente viene incluso nell'allocazione di risorse.

Se ad esempio si specifica un criterio di corrispondenza *.exe, verrà stabilita una corrispondenza con tutti i processi in esecuzione non presenti nell'elenco di esclusione definito dall'utente o nell'elenco di esclusione definito dal sistema. Per determinare l'eventuale corrispondenza, le regole di inclusione vengono sempre valutate prima delle regole di esclusione.

File o righe di comando esclusi

Non viene stabilita una corrispondenza con tutti i processi creati dall'applicazione con questo nome di file o percorso da riga di comando come proprietà, seguendo lo stesso ordine dei criteri di inclusione. Se ad esempio si specifica il criterio di corrispondenza C:\Programmi*, qualsiasi processo il cui percorso da riga di comando completo contenga tale stringa verrà escluso dalla corrispondenza.

Utenti e gruppi inclusi

Viene stabilita una corrispondenza con tutti i processi con un utente o un gruppo incluso come proprietà. Se ad esempio si specifica il gruppo Users, verrà stabilita una corrispondenza con tutti i processi creati dagli utenti del gruppo Users. Le regole di inclusione hanno una precedenza maggiore rispetto alle regole di esclusione e vengono sempre valutate per prime per determinare un'eventuale corrispondenza.

Utenti e gruppi esclusi

Non viene stabilita una corrispondenza con tutti i processi con un utente o un gruppo escluso come proprietà. Se ad esempio si specifica il gruppo Administrators, verranno esclusi dalla corrispondenza tutti i processi creati dagli utenti del gruppo Administrators.

Un criterio di corrispondenza processo troppo esteso può stabilire una corrispondenza con processi non desiderati. Se ad esempio il volume di sistema è C, c*.exe stabilirà una corrispondenza del percorso da riga di comando per tutti i processi gestiti. Il percorso da riga di comando di tutti i processi in esecuzione conterrà infatti C, ad esempio:

C:\Programmi\Internet Explorer\iexplore.exe

Se tuttavia nello stesso sistema non è presente un volume M, m*.exe costituirà una corrispondenza della riga di comando poiché la stringa m non è presente nei percorsi da riga di comando dei processi gestiti.

Ulteriori riferimenti

  • Utilizzare criteri di corrispondenza processo

  • Per ulteriori informazioni su Gestione risorse di sistema Windows, visitare il sito Web all'indirizzo http://go.microsoft.com/fwlink/?LinkId=90924.


Creare criteri di corrispondenza processo

I criteri di corrispondenza processo vengono utilizzati per stabilire una corrispondenza tra processi in esecuzione nel sistema e aggregare i processi corrispondenti all'interno di gruppi. Tali gruppi possono quindi essere gestiti tramite un criterio di allocazione risorse.

  • Creare un criterio di corrispondenza processo utilizzando la corrispondenza del percorso

  • Creare un criterio di corrispondenza processo utilizzando la corrispondenza dell'utente o del gruppo


Creare un criterio di corrispondenza processo utilizzando la corrispondenza del percorso

L'appartenenza al gruppo locale Administrators o equivalente, è il minimo indispensabile per completare questa procedura.

Creare criteri di corrispondenza processo di base utilizzando la corrispondenza del percorso

Nella procedura seguente viene descritto come creare un criterio di corrispondenza processo utilizzando la corrispondenza del percorso per tutte le istanze di un'applicazione specifica.

Per creare un criterio di corrispondenza processo utilizzando la corrispondenza del percorso

  1. Aprire Gestione risorse di sistema Windows. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione e quindi Gestione risorse di sistema Windows.

  2. Nella finestra di dialogo Connetti al computer selezionare Questo computer e quindi fare clic su Connetti.

  3. Nell'albero della console fare clic con il pulsante destro del mouse su Criteri di corrispondenza processo e quindi scegliere Nuovo criterio corrispondenza processo.

  4. Nella finestra di dialogo Nuovo criterio corrispondenza processo digitare un nome descrittivo per il nuovo criterio nella casella Nome criterio e quindi fare clic su Aggiungi.

    Nota

    Il nome di un criterio di corrispondenza processo non può iniziare con un trattino (-) e non può contenere spazi né i caratteri seguenti: , \ / * ; ? : " | - < oppure >.

  5. Nella scheda File o righe di comando della finestra di dialogo Aggiungi regola specificare i processi, i servizi o le applicazioni da gestire nel modo seguente:

    1. Per specificare manualmente il processo, nella casella File o righe di comando inclusi digitare il percorso da riga di comando o il nome di file.

      oppure

    2. Per scegliere il processo in un elenco, selezionare Servizio registrato, Processo in esecuzione o Applicazione e quindi fare clic su Seleziona.

    • Se si è selezionato Servizio registrato o Processo in esecuzione, fare clic sul processo con il quale si desidera stabilire una corrispondenza e quindi fare clic su OK.

    • Se si è selezionato Applicazione, digitare il percorso in cui si trova il file eseguibile dell'applicazione oppure fare clic su Sfoglia per trovare il file eseguibile dell'applicazione e quindi fare doppio clic su di esso.

  6. Per escludere processi, servizi o applicazioni dalla gestione, selezionare la casella di controllo File o righe di comando esclusi e quindi eseguire una delle operazioni seguenti:

    1. Per specificare manualmente il processo, nella casella File o righe di comando esclusi digitare il percorso da riga di comando o il nome di file.

      -oppure-

    2. Per selezionare il processo in un elenco, selezionare Servizio registrato, Processo in esecuzione o Applicazione e quindi fare clic su Seleziona.

    • Se si è selezionato Servizio registrato o Processo in esecuzione, fare clic sul processo con il quale si desidera stabilire una corrispondenza e quindi fare clic su OK.

    • Se si è selezionato Applicazione, digitare il percorso in cui si trova il file eseguibile dell'applicazione oppure fare clic su Sfoglia per trovare il file eseguibile dell'applicazione e quindi fare doppio clic su di esso.

  7. Se necessario, ripetere i passaggi 5 e 6 per creare processi aggiuntivi e quindi fare clic su OK.

Creare criteri di corrispondenza processo avanzati utilizzando la corrispondenza del percorso

È possibile creare criteri di corrispondenza processo avanzati utilizzando la corrispondenza del percorso allo scopo di:

  • Gestire più processi creati dallo stesso file eseguibile.

  • Specificare la corrispondenza processo in base alle stringhe passate dalla riga di comando.

Nei criteri di corrispondenza processo di questa sezione vengono utilizzate espressioni regolari.

Gestire più processi creati dallo stesso file eseguibile

Alcune applicazioni, ad esempio Internet Information Services (IIS), avviano più processi dallo stesso file con estensione exe. Per distinguere i singoli processi o i gruppi di processi avviati dallo stesso file exe, è necessario sviluppare criteri di corrispondenza processo specifici.

Per selezionare un sito Web IIS 6.0 con un criterio di corrispondenza processo, ad esempio, sono necessarie le informazioni seguenti:

  • Nome del file exe del processo che gestisce le richieste di IIS 6.0, che è sempre w3wp.exe.

  • Nome del pool di applicazioni corrispondente al sito Web servito da ogni processo w3wp.exe. Tale nome viene specificato dall'utente. In questo esempio sarà denominato example.

È ora possibile creare un criterio di corrispondenza processo comprendente la stringa di corrispondenza seguente:

@.*w3wp\.exe.*example.*

Questa stringa consente di stabilire una corrispondenza con qualsiasi processo la cui stringa della riga di comando completa corrisponda a anything w3wp.exe anything example anything, ovvero con tutti i processi correlati al sito Web example.

Specificare la corrispondenza processo in base alle stringhe passate dalla riga di comando

È possibile specificare allocazioni di risorse in base alle stringe passate nella riga di comando. È così possibile creare criteri di allocazione risorse in grado di assegnare diverse allocazioni di risorse in base agli argomenti passati al file exe del programma, come illustrato nell'esempio seguente:

file.exe -switch1:arg1 -switch2:arg2

Utilizzando criteri di corrispondenza processo, è possibile specificare l'utilizzo di allocazioni di risorse diverse a seconda dell'opzione (switch) utilizzata. Ad esempio, utilizzare Resource1 quando è specificato switch1, Resource2 quando è specificato switch2 e Resource3 quando sono specificate entrambe le opzioni oppure quando non ne è specificata alcuna. A tale scopo, vengono creati quattro criteri di corrispondenza processo come illustrato nella tabella seguente.

Criterio di corrispondenza processo | Stringa
Criterio-switch1 | @.*file\.exe.*switch1:.*
Criterio-switch2 | @.*file\.exe.*switch2:.*
Criterio-switch1e2 | @.*file\.exe.*switch1:.*switch2:.*; @.*file\.exe.*switch2:.*switch1:.*
Criterio-néswitch1né2 | @.file\.exe.*; !@.*file\.exe.*switch1:.*; !@.*file\.exe.*switch2:.*

Per raggiungere gli obiettivi di gestione, è necessario ordinare i criteri di corrispondenza processo come segue nel criterio di allocazione risorse:

Criterio di corrispondenza processo | Allocazione risorse
Criterio-néswitch1né2 | Resource3
Criterio-switch1e2 | Resource3
Criterio-switch1 | Resource1
Criterio-switch2 | Resource2

Ulteriori considerazioni

  • Nei criteri di corrispondenza processo, Gestione risorse di sistema Windows supporta le variabili di ambiente seguenti: WINDIR, PROGRAMFILES, TMP e TEMP.

  • Se si digita una variabile di ambiente all'interno di un comando o al prompt dei comandi, è necessario racchiudere la variabile tra accenti circonflessi (^), come illustrato nell'esempio seguente:

    ^%windir%^
    La variabile di ambiente non potrà così essere espansa dalla shell nel client.

  • Se le variabili di ambiente vengono specificate durante la creazione di criteri di corrispondenza processo tramite lo snap-in Gestione risorse di sistema Windows, non è necessario utilizzare accenti circonflessi.

Ulteriori riferimenti

  • Gestione risorse di sistema Windows

  • Utilizzare criteri di corrispondenza processo

  • Per ulteriori informazioni su Gestione risorse di sistema Windows, visitare il sito Web all'indirizzo http://go.microsoft.com/fwlink/?LinkId=90924.


Creare un criterio di corrispondenza processo utilizzando la corrispondenza dell'utente o del gruppo

L'appartenenza al gruppo locale Administrators o equivalente, è il minimo indispensabile per completare questa procedura.

Per creare un criterio di corrispondenza processo utilizzando la corrispondenza dell'utente o del gruppo

  1. Aprire Gestione risorse di sistema Windows. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione e quindi Gestione risorse di sistema Windows.

  2. Nella finestra di dialogo Connetti al computer selezionare Questo computer e quindi fare clic su Connetti.

  3. Nell'albero della console fare clic con il pulsante destro del mouse su Criteri di corrispondenza processo e quindi scegliere Nuovo criterio corrispondenza processo.

  4. Nella finestra di dialogo Nuovo criterio corrispondenza processo digitare un nome descrittivo per il nuovo criterio nella casella Nome criterio.

    Nota

    Il nome di un criterio di corrispondenza processo non può iniziare con un trattino (-) e non può contenere spazi né i caratteri seguenti: , \ / * ; ? : " | - < oppure >.

  5. Fare clic su Aggiungi.

  6. Nella scheda Utenti o gruppi eseguire una delle operazioni seguenti:

    • Per stabilire una corrispondenza con i processi in base all'utente o all'appartenenza a gruppi, in Utenti e gruppi inclusi fare clic su Aggiungi.

    • Per escludere utenti o gruppi dalla corrispondenza, selezionare la casella di controllo Utenti e gruppi esclusi e quindi fare clic su Aggiungi.

  7. Nella finestra di dialogo Seleziona Utenti o Gruppi digitare il nome dell'utente o del gruppo e quindi fare clic su OK.

  8. Se necessario, ripetere i passaggi 6 e 7 per includere o escludere tutti i nomi utente o di gruppo appropriati e quindi fare clic su OK per chiudere la finestra di dialogo Aggiungi regola.

Ulteriori considerazioni

  • La corrispondenza dell'utente o del gruppo non supporta l'utilizzo di caratteri jolly o espressioni regolari.

  • Quando si creano criteri di corrispondenza processo con lo snap-in Gestione risorse di sistema Windows, i nomi di utente o gruppo specificati vengono convalidati durante la creazione. I criteri di corrispondenza processo importati non vengono tuttavia convalidati. Prima di includere criteri di corrispondenza processo importati in un criterio di allocazione risorse, verificare che tutti i nomi di utente o gruppo in essi indicati esistano nel computer.

Ulteriori riferimenti

  • Gestione risorse di sistema Windows

  • Utilizzare criteri di corrispondenza processo


Visualizzare le dipendenze di criteri di allocazione risorse

L'appartenenza al gruppo locale Administrators o equivalente, è il minimo indispensabile per completare questa procedura.

I criteri di allocazione risorse che utilizzano un criterio di corrispondenza processo per identificare i gruppi di processi gestiti possono essere visualizzati e modificati nell'elenco di dipendenze.

Per visualizzare le dipendenze di criteri di allocazione risorse

  1. Aprire Gestione risorse di sistema Windows. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione e quindi Gestione risorse di sistema Windows.

  2. Nella finestra di dialogo Connetti al computer selezionare Questo computer e quindi fare clic su Connetti.

  3. Nell'albero della console espandere Criteri di corrispondenza processo.

  4. Fare clic con il pulsante destro del mouse su un criterio di corrispondenza processo e quindi scegliere Visualizza dipendenze PMC.

Ulteriori riferimenti

  • Gestione risorse di sistema Windows

  • Utilizzare criteri di allocazione risorse

  • Utilizzare criteri di corrispondenza processo

  • Proprietà dei criteri di allocazione risorse

  • Finestra di dialogo Aggiungi o modifica allocazione risorse


Avviare e arrestare la gestione delle risorse

Avviare la gestione delle risorse

Quando si installa Gestione risorse di sistema Windows, Stato di Gestione risorse di sistema Windows viene impostato su IN ESECUZIONE e Equal_Per_Process viene specificato per impostazione predefinita come criterio di gestione. Se nel Registro di sistema è impostato il bit DFSS (Dynamic Fair Share Session) o KRM (Kernel Resource Manager), come criterio di gestione verrà specificato Weighted_Remote_Sessions per impostazione predefinita. Quando è specificato Weighted_Remote_Sessions come criterio di gestione, l'allocazione della quota di CPU viene eseguita indipendentemente dallo stato di Gestione risorse di sistema Windows.

L'appartenenza al gruppo locale Administrators o equivalente, è il minimo indispensabile per completare questa procedura.

Per avviare la gestione delle risorse

  1. Aprire Gestione risorse di sistema Windows. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione e quindi Gestione risorse di sistema Windows.

  2. Nella finestra di dialogo Connetti al computer selezionare Questo computer e quindi fare clic su Connetti.

  3. Nel riquadro della console fare clic su Stato di Gestione risorse di sistema Windows: ARRESTATO. Verrà visualizzata la finestra di dialogo Proprietà - Gestione risorse di sistema Windows.

  4. Nella scheda Gestione selezionare In esecuzione nell'elenco Stato della gestione.

  5. Nell'elenco Tipo di gestione selezionare Gestione.

    Nota

    Se si desidera raccogliere dati sui casi in cui si verifica un conflitto di risorse ma non si intende gestire attivamente le risorse, selezionare Profilo nell'elenco a discesa Tipo di gestione.

  6. Nell'elenco Criterio di allocazione risorse corrente selezionare il criterio di allocazione risorse che si desidera utilizzare per gestire le risorse e quindi fare clic su OK.
Nota

Per definire criteri di allocazione risorse utilizzando il calendario, vedere Pianificare la gestione delle risorse con il calendario.

Arrestare la gestione delle risorse

Le risorse verranno gestite da Gestione risorse di sistema Windows in base al tipo di gestione e al criterio di allocazione risorse selezionati finché non si arresta la gestione, a meno che non sia stato utilizzato il calendario per pianificarla.

Quando la gestione viene arrestata, i processi in esecuzione non vengono gestiti e non vengono generati record di accounting. È tuttavia possibile eseguire attività amministrative e generare notifiche. Qualsiasi modifica apportata mentre la gestione è arrestata non diverrà effettiva finché non viene riavviata la gestione.

Importante

Se come criterio di gestione è impostato Weighted_Remote_Sessions, i processi in esecuzione continueranno a essere gestiti anche se Stato di Gestione risorse di sistema Windows è impostato su ARRESTATO.

Per arrestare la gestione delle risorse

  1. Aprire Gestione risorse di sistema Windows. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione e quindi Gestione risorse di sistema Windows.

  2. Nella finestra di dialogo Connetti al computer selezionare Questo computer e quindi fare clic su Connetti.

  3. Nel riquadro della console fare clic su Stato di Gestione risorse di sistema Windows: IN ESECUZIONE. Verrà visualizzata la finestra di dialogo Proprietà - Gestione risorse di sistema Windows.

  4. Nella scheda Gestione selezionare Arrestato nell'elenco Stato della gestione e quindi fare clic su OK.

Ulteriori considerazioni

  • Per gestire le risorse, è necessario che la funzionalità Gestione risorse di sistema Windows sia installata e che il servizio Gestione risorse di sistema Windows sia in esecuzione. Per ulteriori informazioni, vedere Installare Gestione risorse di sistema Windows.

Ulteriori riferimenti

  • Gestione risorse di sistema Windows

  • Utilizzare Gestione risorse di sistema Windows

  • Gestire le priorità utente

  • Interfaccia utente: Gestione risorse di sistema Windows


Utilizzare condizioni per regolare i criteri delle risorse

Gestione risorse di sistema Windows può passare automaticamente a un diverso criterio di gestione quando si verifica uno di sei eventi preconfigurati. Quando si verifica uno di questi eventi, è possibile configurare il criterio condizionale in modo da valutare stati del sistema aggiuntivi e passare a un altro criterio se uno degli stati viene rilevato come true.

Nota

Gli stati configurati in un criterio condizionale vengono valutati e i criteri di gestione associati vengono implementati solo se si verifica innanzitutto l'evento di cui fanno parte.

Gestione risorse di sistema Windows supporta sei eventi. Nell'installazione predefinita, in corrispondenza di uno degli eventi non si verifica alcuna modifica dei criteri.

Eventi che attivano modifiche dei criteri condizionali

È possibile configurare un solo criterio condizionale per ogni categoria di evento. Ogni volta che si verifica un evento, viene implementata qualsiasi modifica dei criteri associata.

Per impostazione predefinita, viene inoltre installata la speciale categoria di condizioni Qualsiasi. La categoria di condizioni Qualsiasi viene valutata solo se per un tipo di evento non esiste un criterio condizionale.

Gli eventi specifici che attivano modifiche dei criteri condizionali includono:

  • Aggiunta a caldo di uno o più processori

  • Aggiunta a caldo di memoria (RAM)

  • Connessione di un nodo del Servizio cluster

  • Disconnessione di un nodo del Servizio cluster

  • Connessione di un gruppo di risorse del Servizio cluster

  • Disconnessione di un gruppo di risorse del Servizio cluster

Stati che possono essere valutati quando si verifica un evento

In seguito a un evento viene valutato qualsiasi stato configurato nel criterio condizionale per l'evento. Affinché Gestione risorse di sistema Windows esegua un'azione in risposta a un evento, è necessario che il criterio condizionale dell'evento contenga almeno uno stato da valutare.

Gli stati possono essere configurati come clausole singole oppure come gruppi in cui una o più clausole devono essere true affinché lo stato venga valutato come true.

Le clausole di uno stato possono includere:

  • Se il numero di processori è maggiore, minore o uguale a una quantità specificata

  • Se la quantità di memoria è maggiore, minore o uguale a una quantità specificata

  • Se un nodo del Servizio cluster è online o offline

  • Se un gruppo di risorse del Servizio cluster è online o offline

Procedura per l'applicazione di criteri condizionali

I criteri condizionali modificano lo stato di gestione in base al processo seguente:

  1. Si verifica un evento.

  2. Gestione risorse di sistema Windows cerca un criterio condizionale esistente associato all'evento.

    • Se esiste un criterio condizionale, Gestione risorse di sistema Windows prosegue dal passaggio 3 utilizzando gli stati e il criterio predefinito per tale criterio condizionale.

    • Se non esiste un criterio condizionale, Gestione risorse di sistema Windows prosegue dal passaggio 3 utilizzando gli stati e il criterio predefinito configurati per la categoria di condizioni Qualsiasi.

  3. Gestione risorse di sistema Windows cerca gli stati da valutare quando si verifica l'evento.

    • Se non sono presenti stati configurati da valutare nell'ambito del criterio condizionale, non viene eseguita alcuna azione.

    • Se sono presenti stati configurati, gli stati vengono valutati in ordine finché uno degli stati non viene rilevato come true e viene eseguita l'azione associata al primo stato true.

    • Se nessuno stato configurato è impostato su true, viene applicato il criterio predefinito per l'evento o la categoria di condizioni Qualsiasi.

Modificare i criteri condizionali

Configurare il criterio predefinito

Quando si verifica un evento, Gestione risorse di sistema Windows valuta gli stati associati all'evento. Se nessuno stato è impostato su true, viene applicato il criterio predefinito associato all'evento.

Per configurare il criterio predefinito associato a un evento

  1. Aprire Gestione risorse di sistema Windows. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione e quindi Gestione risorse di sistema Windows.

  2. Nella finestra di dialogo Connetti al computer selezionare Questo computer e quindi fare clic su Connetti.

  3. Nell'albero della console fare clic con il pulsante destro del mouse su Condizioni e quindi scegliere Aggiungi/Modifica criteri condizionali.

  4. Nella finestra di dialogo Aggiungi/Modifica criterio condizionale fare clic sul nome dell'evento che si desidera configurare e quindi su Modifica. Verrà visualizzata la finestra di dialogo Proprietà criterio condizionale.

  5. Nell'elenco Selezionare criterio predefinito selezionare il nome di un criterio di allocazione risorse.

    Nota

    Il criterio predefinito viene applicato solo se nessuno stato configurato nel criterio condizionale è impostato su true.

  6. Fare clic su OK.

Configurare stati aggiuntivi

Affinché Gestione risorse di sistema Windows esegua un'azione quando si verifica un evento, è necessario configurare almeno uno stato da valutare nel criterio condizionale per l'evento.

Gli stati vengono valutati nell'ordine in cui sono elencati, dall'alto verso il basso. Quando uno stato viene rilevato come true, Gestione risorse di sistema Windows passa al criterio di gestione associato a tale stato e non vengono valutati altri stati.

  • Per modificare l'ordine in cui vengono valutati gli stati, nella finestra di dialogo Proprietà criterio condizionale fare clic sullo stato da spostare in Stati e quindi sulla freccia in su o in giù per spostarlo.

  • Per escludere uno stato dalla valutazione, deselezionare la casella di controllo accanto a esso.

    Nota

    Se non viene selezionato alcuno stato per la valutazione, quando si verifica l'evento non viene eseguita alcuna azione.

Per configurare stati aggiuntivi da valutare quando si verifica un evento

  1. Nella finestra di dialogo Aggiungi/Modifica criterio condizionale fare clic sul nome dell'evento che si desidera configurare e quindi su Modifica. Verrà visualizzata la finestra di dialogo Proprietà criterio condizionale.

  2. In Stati fare clic in una riga vuota per accedere alla configurazione dei dettagli e creare una o più clausole.

    Nota

    Non è possibile configurare il nome di uno stato che non dispone di clausole. Nella colonna del nome verranno inserite le informazioni delle clausole definite.

  3. In Dettagli per lo stato selezionato nella casella precedente fare clic in una cella vuota della colonna Categoria per selezionare una categoria nell'elenco.

    • Se si è selezionato Processore o Memoria, fare clic nella colonna Operatore per selezionare un operatore e quindi fare clic nella colonna Quantità e digitare il numero di processori o la quantità di memoria in megabyte (MB).

    • Se si è selezionato MSCS, nell'elenco Nome oggetto fare clic e digitare il nome del nodo o del gruppo di risorse e quindi nella colonna Stato fare clic per selezionare uno stato nell'elenco.

  4. Dopo aver creato le clausole relative allo stato, in Stati fare clic sulla colonna Nome criterio nella riga dello stato appena creato. Nell'elenco selezionare un criterio da applicare quando lo stato viene rilevato true e quindi fare clic su OK.

Raggruppare le clausole di stato

È possibile raggruppare le clausole di stato affinché il gruppo venga valutato come true solo se una o più clausole vengono rilevate come true.

  • Gli operatori AND e OR hanno precedenza uguale.

  • Le espressioni vengono valutate da sinistra verso destra.

  • Le clausole raggruppate vengono valutate per prime. In caso di gruppi nidificati, viene valutato per primo il gruppo con nidificazione più profonda.

Per combinare clausole di stato da valutare come gruppo

  1. Nella finestra di dialogo Aggiungi/Modifica criterio condizionale fare clic sul nome dell'evento che si desidera configurare e quindi su Modifica. Verrà visualizzata la finestra di dialogo Proprietà criterio condizionale.

  2. In Stati fare clic in una riga vuota per creare un nuovo stato oppure fare clic nella riga di uno stato esistente.

  3. In Dettagli per lo stato selezionato nella casella precedente aggiungere i diversi stati che si desidera combinare in una singola clausola da valutare come true o false.

  4. In Dettagli per lo stato selezionato nella casella precedente fare clic sulla prima riga che si desidera combinare con un'altra riga e quindi fare clic tenendo premuto MAIUSC per selezionare le righe da combinare.

    Nota

    È possibile raggruppare solo righe consecutive. I gruppi nidificati sono supportati.

  5. Fare clic con il pulsante destro del mouse sulle righe selezionate, scegliere Aggiungi gruppo e quindi fare clic su OK.

Ulteriori considerazioni

  • I criteri condizionali presuppongono che i processori e la memoria non possano essere rimossi durante il funzionamento di un computer.

Ulteriori riferimenti

  • Gestione risorse di sistema Windows

  • Finestra di dialogo Aggiungi/Modifica criterio condizionale

  • Proprietà dei criteri condizionali

  • Per ulteriori informazioni su Gestione risorse di sistema Windows, visitare il sito Web all'indirizzo http://go.microsoft.com/fwlink/?LinkId=90924.


Pianificare la gestione delle risorse con il calendario

  • Attivare o disattivare il controllo del calendario

  • Creare un evento singolo

  • Creare un evento ricorrente

  • Creare una pianificazione

  • Configurare il criterio di allocazione risorse di calendario predefinito

  • Visualizzare le dipendenze di eventi di calendario e pianificazioni

  • Impostare la scala tempi del calendario

  • Impostare la scala tempi di una pianificazione


Attivare o disattivare il controllo del calendario

L'appartenenza al gruppo locale Administrators o equivalente, è il minimo indispensabile per completare questa procedura.

Importante

Il calendario non potrà essere attivato se il criterio di gestione è impostato su Weighted_Remote_Sessions.

Per attivare il controllo del calendario

  1. Aprire Gestione risorse di sistema Windows. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione e quindi Gestione risorse di sistema Windows.

  2. Nella finestra di dialogo Connetti al computer selezionare Questo computer e quindi fare clic su Connetti.

  3. Nell'albero della console fare clic con il pulsante destro del mouse su Calendario e quindi scegliere Attiva.
Per disattivare il controllo del calendario

  1. Aprire Gestione risorse di sistema Windows. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione e quindi Gestione risorse di sistema Windows.

  2. Nella finestra di dialogo Connetti al computer selezionare Questo computer e quindi fare clic su Connetti.

  3. Nell'albero della console fare clic con il pulsante destro del mouse su Calendario e quindi scegliere Disattiva. Verrà visualizzata la finestra di dialogo Proprietà - Gestione risorse di sistema Windows con Calendario impostato su Disattivato.

  4. Nella finestra di dialogo Gestione risorse di sistema Windows - Priorità esaminare il tipo di gestione e il criterio di allocazione risorse corrente per confermare che si desidera utilizzare le nuove impostazioni e quindi fare clic su OK.

Ulteriori considerazioni

  • Se si attiva il controllo del calendario, il criterio di allocazione risorse predefinito del calendario viene impostato automaticamente su Gestione, a meno che per l'ora corrente non sia pianificato un altro criterio di allocazione risorse.

  • Se il controllo del calendario è attualmente disattivato, può inoltre essere attivato facendo clic sul collegamento Calendario - Disattivato nella pagina iniziale di Gestione risorse di sistema Windows.

Ulteriori riferimenti

  • Gestione risorse di sistema Windows

  • Pianificare la gestione delle risorse con il calendario


Creare un evento singolo

L'appartenenza al gruppo locale Administrators o equivalente, è il minimo indispensabile per completare questa procedura.

Per creare un evento singolo

  1. Aprire Gestione risorse di sistema Windows. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione e quindi Gestione risorse di sistema Windows.

  2. Nella finestra di dialogo Connetti al computer selezionare Questo computer e quindi fare clic su Connetti.

  3. Nell'albero della console espandere Calendario, fare clic con il pulsante destro del mouse su Eventi calendario e quindi scegliere Nuovo evento singolo.

  4. Nella finestra di dialogo Nuovo evento del calendario digitare un nome per l'evento nella casella Nome evento.

    Nota

    Il nome di un evento singolo non può iniziare con un trattino (-) e non può contenere spazi né i caratteri seguenti: , \ / * ; ? : " | - < oppure >.

  5. In Associazioni evento selezionare Nome criterio o Nome pianificazione e quindi selezionare un criterio di allocazione risorse o una pianificazione a cui associare l'evento singolo.

    Nota

    Per poter selezionare Nome pianificazione deve essere presente almeno un oggetto pianificazione.

  6. In Data e ora di inizio selezionare una data e un'ora.

    Nota

    Se si è associato l'evento singolo a una pianificazione, l'opzione Ora non sarà disponibile.

  7. In Data e ora di fine selezionare una data e un'ora e quindi fare clic su OK.

    Nota

    Se si è associato l'evento singolo a una pianificazione, l'opzione Ora non sarà disponibile.

Ulteriori considerazioni

  • Quando si creano o si modificano pianificazioni o eventi di calendario, i valori temporali specificati verranno espressi nell'ora locale del server. Anche tutti i valori temporali visualizzati nell'interfaccia di Gestione risorse di sistema Windows o salvati in un file XML verranno espressi nell'ora locale del server.

Ulteriori riferimenti

  • Gestione risorse di sistema Windows

  • Pianificare la gestione delle risorse con il calendario

  • Creare una pianificazione


Creare un evento ricorrente

L'appartenenza al gruppo locale Administrators o equivalente, è il minimo indispensabile per completare questa procedura.

Per creare un evento ricorrente

  1. Aprire Gestione risorse di sistema Windows. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione e quindi Gestione risorse di sistema Windows.

  2. Nella finestra di dialogo Connetti al computer selezionare Questo computer e quindi fare clic su Connetti.

  3. Nell'albero della console espandere Calendario, fare clic con il pulsante destro del mouse su Eventi calendario e quindi scegliere Nuovo evento ricorrente.

  4. Nella finestra di dialogo Nuovo evento ricorrente del calendario digitare un nome per l'evento nella casella Nome evento.

    Nota

    Il nome di un evento ricorrente non può iniziare con un trattino (-) e non può contenere spazi né i caratteri seguenti: , \ / * ; ? : " | - < oppure >.

  5. In Associazioni evento fare clic su Nome criterio o Nome pianificazione e quindi eseguire una delle operazioni seguenti:

    • Se si è fatto clic su Nome criterio, selezionare un criterio di allocazione risorse a cui associare l'evento ricorrente.

    • Se si è fatto clic su Nome pianificazione, selezionare una pianificazione a cui associare l'evento ricorrente.

      Nota

      Per poter selezionare Nome pianificazione deve essere presente almeno un oggetto pianificazione.

  6. Se si è fatto clic su Nome criterio, in Data e ora di inizio e di fine eseguire le operazioni seguenti:

    • Nella casella Inizio immettere un'ora per l'inizio del criterio.

    • Nella casella Fine immettere un'ora per la fine del criterio.

    • Nella casella Durata immettere un valore per il periodo di tempo per il quale il criterio verrà applicato.

  7. Decidere se si desidera che l'evento ricorra ogni giorno, ogni settimana, ogni mese oppure ogni anno e quindi in Criterio ricorrenza eseguire una delle operazioni seguenti:

    • Fare clic su Ogni giorno. Nella casella Ricorre ogni specificare la frequenza (in giorni) con cui ricorrerà l'evento.

    • Fare clic su Ogni settimana. Nella casella Ricorre ogni specificare la frequenza (in settimane) con cui ricorrerà l'evento e quindi selezionare uno o più giorni nelle caselle di controllo disponibili.

    • Fare clic su Ogni mese e quindi eseguire una delle operazioni seguenti:

      Fare clic su Ricorre il giorno. Negli spazi disponibili digitare un valore numerico corrispondente al giorno del mese in cui l'evento di calendario verrà eseguito e un valore numerico (in mesi) corrispondente alla frequenza con cui ricorrerà l'evento.

      Fare clic su Ricorre il/la. Negli elenchi selezionare primo/a, secondo/a, terzo/a, quarto/a o ultimo/a, selezionare il giorno in cui l'evento di calendario verrà eseguito e quindi digitare un valore numerico (in mesi) corrispondente alla frequenza con cui ricorrerà l'evento.

    • Fare clic su Ogni anno e quindi eseguire una delle operazioni seguenti:

      Fare clic su Ricorre ogni. Nel'elenco selezionare un mese e quindi digitare un valore numerico corrispondente al giorno in cui l'evento di calendario verrà eseguito.

      Fare clic su Ricorre il/la. Negli elenchi selezionare primo/a, secondo/a, terzo/a, quarto/a o ultimo/a, selezionare il giorno e quindi il mese in cui l'evento di calendario verrà eseguito.

  8. In Intervallo ricorrenza selezionare una data per l'applicazione del criterio nella casella Inizio.

  9. Fare clic su Nessun termine oppure su Fine e specificare una data di fine e quindi fare clic su OK.

Ulteriori considerazioni

  • Quando si creano o si modificano pianificazioni o eventi di calendario, i valori temporali specificati verranno espressi nell'ora locale del server. Anche tutti i valori temporali visualizzati nell'interfaccia di Gestione risorse di sistema Windows o salvati in un file XML verranno espressi nell'ora locale del server.

Ulteriori riferimenti

  • Gestione risorse di sistema Windows

  • Pianificare la gestione delle risorse con il calendario

  • Creare una pianificazione


Creare una pianificazione

L'appartenenza al gruppo locale Administrators o equivalente, è il minimo indispensabile per completare questa procedura.

Per creare una pianificazione

  1. Aprire Gestione risorse di sistema Windows. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione e quindi Gestione risorse di sistema Windows.

  2. Nella finestra di dialogo Connetti al computer selezionare Questo computer e quindi fare clic su Connetti.

  3. Nell'albero della console espandere Calendario, fare clic con il pulsante destro del mouse su Pianificazione e quindi scegliere Nuova pianificazione.

  4. Nella finestra di dialogo Nuova pianificazione digitare un nome per la pianificazione nella casella Nome pianificazione.

    Nota

    Il nome di una pianificazione non può iniziare con un trattino (-) e non può contenere spazi né i caratteri seguenti: , \ / * ; ? : " | - < oppure >.

  5. Per aggiungere un elemento della pianificazione, nella visualizzazione del calendario fare doppio clic su un'ora nella colonna.

  6. Nella finestra di dialogo Aggiungi elemento pianificazione selezionare un criterio di allocazione risorse nell'elenco Criterio.

  7. Nella casella Ora di inizio selezionare un'ora per l'applicazione del criterio di allocazione risorse.

  8. Nella casella Ora di fine selezionare un'ora per la fine dell'applicazione del criterio di allocazione risorse.

  9. Se necessario, ripetere i passaggi da 5 a 8 per aggiungere ulteriori criteri di allocazione risorse alla pianificazione e quindi fare clic su OK.

Ulteriori considerazioni

  • Non è possibile assegnare più criteri di allocazione risorse allo stesso periodo di tempo in una pianificazione.

  • Quando si creano o si modificano pianificazioni o eventi di calendario, i valori temporali specificati verranno espressi nell'ora locale del server. Anche tutti i valori temporali visualizzati nell'interfaccia di Gestione risorse di sistema Windows o salvati in un file XML verranno espressi nell'ora locale del server.

Ulteriori riferimenti

  • Gestione risorse di sistema Windows

  • Pianificare la gestione delle risorse con il calendario


Configurare il criterio di allocazione risorse di calendario predefinito

L'appartenenza al gruppo locale Administrators o equivalente, è il minimo indispensabile per completare questa procedura.

Per configurare il criterio di allocazione risorse di calendario predefinito

  1. Aprire Gestione risorse di sistema Windows. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione e quindi Gestione risorse di sistema Windows.

  2. Nella finestra di dialogo Connetti al computer selezionare Questo computer e quindi fare clic su Connetti.

  3. Nell'albero della console fare clic con il pulsante destro del mouse su Gestione risorse di sistema Windows (locale) e quindi scegliere Proprietà.

  4. Nella scheda Gestione della finestra di dialogo Proprietà - Gestione risorse di sistema Windows selezionare un criterio di allocazione risorse nell'elenco Criterio predefinito calendario e quindi fare clic su OK.

Ulteriori considerazioni

  • Se il controllo del calendario è attivato, il criterio di allocazione risorse di calendario predefinito gestisce il sistema quando non è in esecuzione un evento di calendario definito dall'utente. Se è in esecuzione una pianificazione, il criterio di allocazione risorse di calendario predefinito viene eseguito quando non sono pianificati altri eventi di calendario.

Ulteriori riferimenti

  • Gestione risorse di sistema Windows

  • Pianificare la gestione delle risorse con il calendario


Visualizzare le dipendenze di eventi di calendario e pianificazioni

L'appartenenza al gruppo locale Administrators o equivalente, è il minimo indispensabile per completare questa procedura.

Per visualizzare le dipendenze di eventi di calendario e pianificazioni

  1. Aprire Gestione risorse di sistema Windows. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione e quindi Gestione risorse di sistema Windows.

  2. Nella finestra di dialogo Connetti al computer selezionare Questo computer e quindi fare clic su Connetti.

  3. Nell'albero della console espandere Calendario e quindi fare clic su Eventi calendario.

  4. Nel riquadro della console è possibile organizzare l'elenco degli eventi di calendario eseguendo una delle operazioni seguenti:

    • Per raggruppare gli eventi di calendario in base al criterio o alla pianificazione, fare clic sull'intestazione di colonna Associato a.

    • Per raggruppare gli eventi di calendario in base al criterio di allocazione risorse utilizzato, fare clic sull'intestazione di colonna Nome entità associata.

    • Per raggruppare gli eventi di calendario in base all'eventuale pianificazione associata, fare clic sull'intestazione di colonna Stato.

Ulteriori riferimenti

  • Gestione risorse di sistema Windows

  • Pianificare la gestione delle risorse con il calendario


Impostare la scala tempi del calendario

L'appartenenza al gruppo locale Administrators o equivalente, è il minimo indispensabile per completare questa procedura.

Per impostare la scala tempi del calendario

  1. Aprire Gestione risorse di sistema Windows. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione e quindi Gestione risorse di sistema Windows.

  2. Nella finestra di dialogo Connetti al computer selezionare Questo computer e quindi fare clic su Connetti.

  3. Nell'albero della console fare clic su Calendario.

  4. In Scala tempi calendario eseguire una delle operazioni seguenti:

    Nota

    Utilizzare il calendario per selezionare un giorno, una settimana o un mese da visualizzare.

    • Fare clic su Giorno e quindi selezionare una scala in minuti nell'elenco.

    • Fare clic su Settimana.

    • Fare clic su Mese.

Ulteriori riferimenti

  • Gestione risorse di sistema Windows

  • Pianificare la gestione delle risorse con il calendario


Impostare la scala tempi di una pianificazione

È possibile modificare la scala tempi, ovvero l'unità di tempo inclusa in ogni periodo nel calendario, per ogni pianificazione creata.

L'appartenenza al gruppo locale Administrators o equivalente, è il minimo indispensabile per completare questa procedura.

Per impostare la scala tempi di una pianificazione

  1. Aprire Gestione risorse di sistema Windows. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione e quindi Gestione risorse di sistema Windows.

  2. Nella finestra di dialogo Connetti al computer selezionare Questo computer e quindi fare clic su Connetti.

  3. Nell'albero della console espandere Calendario e quindi fare clic su Pianificazione.

  4. Nel riquadro della console fare clic con il pulsante destro del mouse sul nome della pianificazione che si desidera modificare e quindi scegliere Modifica informazioni pianificazione.

  5. Fare clic con il pulsante destro del mouse nel calendario, scegliere Scala tempi e quindi un valore.

  6. Fare clic su OK.

Ulteriori riferimenti

  • Gestione risorse di sistema Windows

  • Pianificare la gestione delle risorse con il calendario


Importare o esportare impostazioni di configurazione e gruppi di computer

È possibile importare o esportare informazioni di configurazione di Gestione risorse di sistema Windows tra computer. Le informazioni di configurazione includono criteri di corrispondenza processo, criteri di allocazione risorse, pianificazioni ed eventi di calendario, criteri condizionali, priorità utente e gruppi di computer. È così possibile creare scenari di gestione e quindi distribuirli in altri computer senza eseguire la configurazione più volte.

File creati e importati

Gestione risorse di sistema Windows crea o importa i file seguenti.

Nome file | Descrizione
allocationpol.xml | Contiene informazioni sui criteri di allocazione risorse.
Calendar.xml | Contiene informazioni su eventi di calendario e pianificazioni.
ConditionalPolicy.xml | Contiene informazioni sui criteri condizionali.
selectionpol.xml | Contiene informazioni sui criteri di corrispondenza processo.
MachineGroup.xml | Contiene informazioni sui gruppi di computer.
UserCategories.xml | Contiene informazioni sulle priorità associate agli utenti.

Esportare e importare informazioni di configurazione

L'appartenenza al gruppo locale Administrators o equivalente, è il minimo indispensabile per completare questa procedura.

Nella procedura seguente viene descritto come esportare informazioni di configurazione da un computer in cui è stata completata la configurazione di Gestione risorse di sistema Windows in modo da poterle importare in un altro computer.

L'esportazione e l'importazione di informazioni di configurazione possono generare oggetti duplicati già esistenti nella configurazione. Per gestire i conflitti, Gestione risorse di sistema Windows supporta cinque opzioni di esportazione e importazione:

  • Sovrascrivi oggetti esistenti: tutti gli oggetti esistenti verranno sostituiti dal set importato o esportato. Tutti i dati presenti nel file o nel server di destinazione andranno perduti.

  • Non esportare oggetti duplicati oppure Non importare oggetti duplicati: gli oggetti esistenti che sono duplicati verranno ignorati e verranno creati solo i nuovi oggetti. Gli oggetti non esportati o importati continueranno a fare riferimento agli oggetti esistenti.

  • Sostituisci oggetti duplicati con oggetti esportati oppure Sostituisci oggetti duplicati con oggetti importati: gli oggetti esistenti che sono duplicati verranno sostituiti e verranno creati i nuovi oggetti. Gli oggetti esistenti non in conflitto verranno lasciati invariati.

  • Rinomina oggetti esistenti per elementi duplicati: nel caso di oggetti in conflitto, gli oggetti esistenti verranno rinominati per risolvere il problema.

  • Rinomina oggetti esportati per elementi duplicati oppure Rinomina oggetti importati per elementi duplicati: nel caso di oggetti in conflitto, gli oggetti esportati o importati verranno rinominati per risolvere il problema.

Per esportare informazioni di configurazione in file

  1. Aprire Gestione risorse di sistema Windows. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione e quindi Gestione risorse di sistema Windows.

  2. Nella finestra di dialogo Connetti al computer selezionare Questo computer e quindi fare clic su Connetti.

  3. Nell'albero della console fare clic con il pulsante destro del mouse su Gestione risorse di sistema Windows (locale) e quindi scegliere Esporta impostazioni di configurazione.

  4. Nella pagina Prima di iniziare dell'Esportazione guidata impostazioni fare clic su Avanti.

  5. Nella pagina Selezione percorso di esportazione selezionare la casella di controllo Esporta nel file.

  6. Nella casella Selezionare il percorso di destinazione digitare un percorso di directory in cui si desidera salvare le informazioni di configurazione oppure selezionare la directory da utilizzare. Nella pagina Cerca cartella selezionare il percorso per esportare i file e quindi fare clic su OK.

  7. Fare clic su Avanti.

  8. Nella pagina Opzioni esportazione:

    1. In Opzioni di esportazione selezionare l'opzione di esportazione da utilizzare.

    2. In Oggetti aggiuntivi da sovrascrivere selezionare Gruppi di computer, Criteri condizionali e Priorità utente se si desidera esportare queste informazioni e quindi fare clic su Avanti.

  9. Nella pagina Selezione eventi di calendario selezionare gli eventi di calendario da esportare e quindi fare clic su Avanti.

    Nota

    La selezione di un evento di calendario determinerà automaticamente la selezione di pianificazioni, criteri di allocazione risorse e criteri di corrispondenza processo dipendenti nelle pagine successive dell'Esportazione guidata impostazioni. Non sarà possibile rimuovere questi oggetti dipendenti dall'esportazione.

  10. Nella pagina Selezione pianificazioni selezionare gli oggetti pianificazione da esportare e quindi fare clic su Avanti.

  11. Nella pagina Selezione criteri di allocazione delle risorse selezionare i criteri da esportare e quindi fare clic su Avanti.

  12. Nella pagina Selezione criteri di corrispondenza processo selezionare i criteri di corrispondenza processo da esportare e quindi fare clic su Avanti.

  13. Nella pagina Riepilogo esportazione verificare le opzioni di esportazione e quindi fare clic su Esporta.

    Nota

    Per visualizzare un rapporto conflitti prima dell'esportazione, fare clic su Controlla conflitti.

  14. Nella pagina Esportazione completata verificare il registro esportazione e quindi fare clic su Fine.
Per esportare informazioni di configurazione in computer o gruppi di computer

  1. Aprire Gestione risorse di sistema Windows. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione e quindi Gestione risorse di sistema Windows.

  2. Nella finestra di dialogo Connetti al computer selezionare Questo computer e quindi fare clic su Connetti.

  3. Nell'albero della console fare clic con il pulsante destro del mouse su Gestione risorse di sistema Windows (locale) e quindi scegliere Esporta impostazioni di configurazione.

  4. Nella pagina Prima di iniziare dell'Esportazione guidata impostazioni fare clic su Avanti.

  5. Nella pagina Selezione percorso di esportazione selezionare la casella di controllo Gruppi di computer.

  6. Selezionare il computer o il gruppo di computer in cui eseguire l'esportazione e quindi fare clic su Avanti.

  7. Nella pagina Opzioni esportazione:

    1. In Opzioni di esportazione selezionare l'opzione di esportazione da utilizzare.

    2. In Oggetti aggiuntivi da sovrascrivere selezionare Gruppi di computer, Criteri condizionali e Priorità utente se si desidera esportare queste informazioni e quindi fare clic su Avanti.

  8. Nella pagina Selezione eventi di calendario selezionare gli eventi di calendario da esportare e quindi fare clic su Avanti.

    Nota

    La selezione di un evento di calendario determinerà automaticamente la selezione di pianificazioni, criteri di allocazione risorse e criteri di corrispondenza processo dipendenti nelle pagine successive dell'Esportazione guidata impostazioni. Non sarà possibile rimuovere questi oggetti dipendenti dall'esportazione.

  9. Nella pagina Selezione pianificazioni selezionare gli oggetti pianificazione da esportare e quindi fare clic su Avanti.

  10. Nella pagina Selezione criteri di allocazione delle risorse selezionare i criteri da esportare e quindi fare clic su Avanti.

  11. Nella pagina Selezione criteri di corrispondenza processo selezionare i criteri di corrispondenza processo da esportare e quindi fare clic su Avanti.

  12. Nella pagina Riepilogo esportazione verificare le opzioni di esportazione e quindi fare clic su Esporta.

    Nota

    Per visualizzare un rapporto conflitti prima dell'esportazione, fare clic su Controlla conflitti.

  13. Nella pagina Esportazione completata verificare il registro esportazione e quindi fare clic su Fine.

Nella procedura seguente viene descritto come importare le informazioni di configurazione che sostituiranno la configurazione esistente nel computer di destinazione dell'importazione.

Attenzione

Quando si importano informazioni di configurazione, a seconda delle impostazioni effettuate, le impostazioni precedenti potrebbero venire sovrascritte e non essere più recuperabili. Se non si è certi di voler utilizzare la configurazione importata, è consigliabile esportare le impostazioni correnti a scopo di backup prima dell'importazione.

Per importare informazioni di configurazione

  1. Aprire Gestione risorse di sistema Windows. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione e quindi Gestione risorse di sistema Windows.

  2. Nella finestra di dialogo Connetti al computer selezionare Questo computer e quindi fare clic su Connetti.

  3. Nell'albero della console fare clic con il pulsante destro del mouse su Gestione risorse di sistema Windows (locale) e quindi scegliere Importa impostazioni di configurazione.

  4. Nella pagina Prima di iniziare dell'Importazione guidata impostazioni fare clic su Avanti.

  5. Nella pagina Selezione percorso di importazione selezionare la casella di controllo Importa da file.

  6. Nella casella Seleziona percorso di importazione digitare un percorso di directory per i file di configurazione importati oppure selezionare la directory da utilizzare. Nella pagina Cerca cartella selezionare il percorso per importare i file e quindi fare clic su OK.

  7. Fare clic su Avanti.

  8. Nella pagina Opzioni importazione selezionare un'opzione di importazione, selezionare la modalità di gestione degli oggetti da sovrascrivere durante l'importazione e quindi fare clic su Avanti.

  9. Nella pagina Selezione eventi di calendario selezionare gli eventi di calendario da importare e quindi fare clic su Avanti.

    Nota

    La selezione di un evento di calendario determinerà automaticamente la selezione di pianificazioni, criteri di allocazione risorse e criteri di corrispondenza processo dipendenti nelle pagine successive dell'Importazione guidata impostazioni. Non sarà possibile rimuovere questi oggetti dipendenti dall'importazione.

  10. Nella pagina Selezione pianificazioni selezionare gli oggetti pianificazione da importare e quindi fare clic su Avanti.

  11. Nella pagina Selezione criteri di allocazione delle risorse selezionare i criteri da importare e quindi fare clic su Avanti.

  12. Nella pagina Selezione criteri di corrispondenza processo selezionare i criteri di corrispondenza processo da importare e quindi fare clic su Avanti.

  13. Nella pagina Riepilogo importazione verificare le opzioni di importazione e quindi fare clic su Importa.

    Nota

    Per visualizzare un rapporto conflitti prima dell'importazione, fare clic su Controlla conflitti.

  14. Nella pagina Importazione completata verificare il registro importazione e quindi fare clic su Fine.

Ulteriori considerazioni

  • Quando si creano criteri di corrispondenza processo utilizzando lo snap-in Gestione risorse di sistema Windows, i nomi utente o di gruppo specificati vengono convalidati durante la creazione. I criteri di corrispondenza processo importati non vengono tuttavia convalidati. Prima di includere criteri di corrispondenza processo importati in un criterio di allocazione risorse, verificare che tutti i nomi di utente o gruppo in essi indicati esistano nel computer di destinazione dell'importazione.

Ulteriori riferimenti

  • Gestione risorse di sistema Windows

  • Utilizzare Gestione risorse di sistema Windows


Utilizzare l'elenco di esclusione definito dall'utente

Per impostazione predefinita, diversi processi di svchost.exe sono inclusi nell'elenco di esclusione definito dall'utente. All'interno dei processi di svchost.exe vengono eseguiti servizi importanti del sistema operativo. Per garantire a tali processi l'accesso alla larghezza di banda della CPU necessaria, i processi vengono esclusi dalla gestione. Non è in genere necessario gestire tali processi. Se uno o più di questi processi iniziano a utilizzare una larghezza di banda della CPU eccessiva, tuttavia, è possibile gestirli rimuovendoli dall'elenco di esclusione definito dall'utente. Ciò consente a Gestione risorse di sistema Windows di controllare l'utilizzo della larghezza di banda della CPU da parte di questi processi.

I processi che è consigliabile aggiungere all'elenco di esclusione definito dall'utente includono i processi che non rispondono correttamente alla gestione e i processi che non si desidera vengano gestiti da Gestione risorse di sistema Windows. I processi non controllati da Gestione risorse di sistema Windows non vengono gestiti e possono utilizzare liberamente le risorse.

Poiché il comportamento delle applicazioni non gestite non può essere controllato, l'inclusione di più processi o di processi con un utilizzo intensivo delle risorse nell'elenco di esclusione definito dall'utente può determinare una riduzione dell'efficacia di Gestione risorse di sistema Windows.

Nota

L'elenco di esclusione definito dall'utente non verrà applicato se come criterio di gestione è impostato Weighted_Remote_Sessions.

Modificare l'elenco di esclusione definito dall'utente

L'appartenenza al gruppo locale Administrators o equivalente, è il minimo indispensabile per completare questa procedura.

Per aggiungere o rimuovere un processo nell'elenco di esclusione definito dall'utente

  1. Aprire Gestione risorse di sistema Windows. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione e quindi Gestione risorse di sistema Windows.

  2. Nella finestra di dialogo Connetti al computer selezionare Questo computer e quindi fare clic su Connetti.

  3. Nell'albero della console fare clic con il pulsante destro del mouse su Gestione risorse di sistema Windows (locale) e quindi scegliere Proprietà.

  4. Nella scheda Elenco di esclusione della finestra di dialogo Proprietà - Gestione risorse di sistema Windows fare clic su Definiti dall'utente.

  5. Aggiungere o rimuovere un processo come descritto di seguito e quindi fare clic su OK:

    • Per aggiungere un processo all'elenco di esclusione, fare clic su Aggiungi e quindi selezionare la directory in cui si trova il file di programma.

    • Per rimuovere un processo dall'elenco di esclusione, selezionare il processo che si desidera rimuovere e quindi fare clic su Rimuovi.

Ulteriori considerazioni

  • Per aggiungere un processo gestito dal criterio di allocazione risorse di gestione attivo all'elenco di esclusione definito dall'utente, è innanzitutto necessario sostituire il criterio di allocazione risorse di gestione con un criterio che non stabilisce una corrispondenza con il processo oppure arrestare la gestione di Gestione risorse di sistema Windows.

  • Se si desidera aggiungere un processo e includerne gli argomenti, è necessario utilizzare lo strumento da riga di comando wsrmc. Per informazioni su wsrmc, al prompt dei comandi digitare wsrmc /? e quindi premere INVIO.

Ulteriori riferimenti

  • Gestione risorse di sistema Windows

  • Utilizzare Gestione risorse di sistema Windows

  • Per ulteriori informazioni su Gestione risorse di sistema Windows, visitare il sito Web all'indirizzo http://go.microsoft.com/fwlink/?LinkId=90924.


Visualizzare lo stato di Gestione risorse di sistema Windows

È possibile visualizzare lo stato di gestione e i dati delle prestazioni in tempo reale specifici di Gestione risorse di sistema Windows nello snap-in di Microsoft Management Console (MMC) Gestione risorse di sistema Windows.

Visualizzare lo stato di gestione di Gestione risorse di sistema Windows

L'appartenenza al gruppo locale Administrators o equivalente, è il minimo indispensabile per completare questa procedura.

Per visualizzare lo stato di gestione di Gestione risorse di sistema Windows

  1. Aprire Gestione risorse di sistema Windows. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione e quindi Gestione risorse di sistema Windows.

  2. Nella finestra di dialogo Connetti al computer selezionare Questo computer e quindi fare clic su Connetti.

  3. Nell'albero della console fare clic su Gestione risorse di sistema Windows (locale). Verrà visualizzata la pagina iniziale di Gestione risorse di sistema Windows.

  4. Esaminare lo stato corrente.

Nella tabella seguente sono disponibili informazioni sul significato delle icone di stato di Gestione risorse di sistema Windows.

Testo icona di stato Descrizione

Stato di Gestione risorse di sistema Windows

Visualizza lo stato del servizio Gestione risorse di sistema Windows.

Calendario

Visualizza lo stato di gestione del calendario.

  • Quando la gestione del calendario è attivata, le risorse vengono gestite in base al criterio di allocazione risorse pianificato per l'ora corrente. Se per l'ora corrente non è pianificato alcun criterio di allocazione risorse, viene applicato il criterio predefinito del calendario.

  • Quando la gestione del calendario è disattivata, viene utilizzato un criterio di allocazione risorse applicato manualmente oppure il criterio di allocazione risorse predefinito.

Per ulteriori informazioni sul calendario, vedere Pianificare la gestione delle risorse con il calendario.

Tipo di gestione

Visualizza il tipo di gestione attualmente applicato.

  • Quando il tipo di gestione è impostato su Gestione, le risorse vengono gestite attivamente in base al criterio di allocazione risorse attualmente applicato.

  • Quando il tipo di gestione è impostato su Profilo, vengono registrate informazioni di accounting in base al criterio di allocazione risorse attualmente applicato, ma le risorse non vengono effettivamente gestite.

Criterio selezionato

Visualizza il criterio di allocazione risorse attualmente applicato.

Notifica

Visualizza lo stato dei servizi di notifica.

  • Quando la notifica è attivata, vengono inviati messaggi di posta elettronica agli indirizzi specificati quando vengono registrati gli eventi selezionati.

  • Quando la notifica è disattivata, non vengono inviati messaggi di posta elettronica.

Per ulteriori informazioni sulle notifiche, vedere Configurare le opzioni di notifica.

Accounting

Visualizza lo stato della raccolta dei dati di accounting.

  • Quando l'accounting è attivato, i dati di accounting vengono registrati nel database di accounting a scopo di verifica.

  • Quando l'accounting è disattivato, non vengono registrati dati di accounting.

Per ulteriori informazioni sull'accounting, vedere Registrare i dati di accounting in Gestione risorse di sistema Windows.

Visualizzare dati delle prestazioni in tempo reale

Gestione risorse di sistema Windows include Monitoraggio prestazioni, appartenente allo snap-in di MMC Monitoraggio affidabilità e prestazioni di Windows. Quando si visualizza Monitoraggio prestazioni da Gestione risorse di sistema Windows, viene visualizzato un insieme personalizzato di contatori delle prestazioni che consente di conoscere il funzionamento della gestione delle risorse e la frequenza con cui i criteri modificano l'utilizzo delle risorse da parte dei processi nel computer.

L'appartenenza al gruppo locale Administrators o equivalente, è il minimo indispensabile per completare questa procedura.

Per visualizzare dati delle prestazioni di Gestione risorse di sistema Windows in tempo reale in Monitoraggio prestazioni

  1. Aprire Gestione risorse di sistema Windows. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione e quindi Gestione risorse di sistema Windows.

  2. Nella finestra di dialogo Connetti al computer selezionare Questo computer e quindi fare clic su Connetti.

  3. Nell'albero della console fare clic su Monitoraggio risorse. Nel riquadro della console verrà visualizzato Monitoraggio prestazioni.

  4. Esaminare i dati delle prestazioni.

Ulteriori riferimenti

  • Per ulteriori informazioni sull'utilizzo di Monitoraggio prestazioni, visitare il sito Web all'indirizzo http://go.microsoft.com/fwlink/?LinkId=55156.

  • Gestione risorse di sistema Windows

  • Utilizzare Gestione risorse di sistema Windows


Registrare i dati di accounting in Gestione risorse di sistema Windows

Gestione risorse di sistema Windows registra i dati di accounting relativi alle applicazioni gestite tramite:

  • Criterio di gestione.

  • Criterio impostato per il profiling.

I dati di accounting includono dettagli sulle applicazioni che superano le risorse specificamente allocate e le modifiche apportate dal criterio di gestione. I dati di accounting vengono archiviati in un database di accounting locale, un database di accounting remoto in un altro computer che esegue Gestione risorse di sistema Windows oppure un database SQL specificato mediante un nome origine dati (DSN).

  • Attivare o disattivare l'accounting

  • Modificare le impostazioni di accounting

  • Archiviare le informazioni di accounting

  • Personalizzare le visualizzazioni accounting

  • Per ulteriori informazioni su Gestione risorse di sistema Windows, visitare il sito Web all'indirizzo http://go.microsoft.com/fwlink/?LinkId=90924.


Attivare o disattivare l'accounting

L'appartenenza al gruppo locale Administrators o equivalente, è il minimo indispensabile per completare questa procedura.

Per attivare o disattivare l'accounting

  1. Aprire Gestione risorse di sistema Windows. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione e quindi Gestione risorse di sistema Windows.

  2. Nella finestra di dialogo Connetti al computer selezionare Questo computer e quindi fare clic su Connetti.

  3. Nell'albero della console fare clic con il pulsante destro del mouse su Accounting e quindi scegliere Attiva o Disattiva.

Ulteriori riferimenti

  • Gestione risorse di sistema Windows

  • Registrare i dati di accounting in Gestione risorse di sistema Windows


Modificare le impostazioni di accounting

L'appartenenza al gruppo locale Administrators o equivalente, è il minimo indispensabile per completare questa procedura.

Per modificare le impostazioni di accounting

  1. Aprire Gestione risorse di sistema Windows. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione e quindi Gestione risorse di sistema Windows.

  2. Nella finestra di dialogo Connetti al computer selezionare Questo computer e quindi fare clic su Connetti.

  3. Nell'albero della console fare clic con il pulsante destro del mouse su Gestione risorse di sistema Windows (locale) e quindi scegliere Proprietà.

  4. Nella scheda Accounting della finestra di dialogo Proprietà - Gestione risorse di sistema Windows selezionare Attiva registrazione delle informazioni di accounting dei processi.

  5. In Intervallo di registrazione (in minuti) digitare un valore in minuti.

Ulteriori riferimenti

  • Gestione risorse di sistema Windows

  • Registrare i dati di accounting in Gestione risorse di sistema Windows


Archiviare le informazioni di accounting

Per archiviare i dati di accounting, Gestione risorse di sistema Windows utilizza tutto lo spazio su disco disponibile. Gestione risorse di sistema Windows, tuttavia, non sovrascrive automaticamente i record meno recenti né riutilizza automaticamente lo spazio di archiviazione. Per gestire le dimensioni del database di accounting, è necessario archiviare ed eliminare i dati di accounting.

Importante

L'eliminazione dei record archiviati non riduce l'utilizzo del disco da parte del database di accounting. Se le dimensioni del database aumentano eccessivamente, vedere "Ridurre le dimensioni del database di Gestione risorse di sistema Windows" più avanti in questo argomento.

Poiché l'utilizzo del disco da parte del sistema di accounting aumenta finché non si eliminano i record meno recenti, è consigliabile configurare il sistema di accounting in modo da utilizzare un volume diverso rispetto a quello utilizzato dal sistema operativo. Viene così ridotta la possibilità che il sistema operativo non disponga di spazio su disco sufficiente.

Archiviare le informazioni di accounting

L'appartenenza al gruppo locale Administrators o equivalente, è il minimo indispensabile per completare questa procedura.

Per archiviare le informazioni di accounting

  1. Aprire Gestione risorse di sistema Windows. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione e quindi Gestione risorse di sistema Windows.

  2. Nella finestra di dialogo Connetti al computer selezionare Questo computer e quindi fare clic su Connetti.

  3. Nell'albero della console fare clic con il pulsante destro del mouse su Accounting e quindi scegliere Archivia o elimina informazioni.

  4. Nella finestra di dialogo Archivia o elimina informazioni di accounting selezionare nell'elenco Data di inizio una data di inizio per i dati da archiviare.

  5. Nell'elenco Data di fine selezionare una data di fine per i dati da archiviare.

  6. In Computer di cui considerare le informazioni di accounting eseguire una delle operazioni seguenti:

    • Fare clic su I computer seguenti e digitare un nome di computer o un elenco delimitato da virgole di nomi di computer.

    • Fare clic su Tutti i computer.

  7. Per configurare le opzioni di archiviazione, selezionare la casella di controllo Archivia dati.

  8. Nella casella File di archivio digitare un percorso e un nome di file per i dati archiviati oppure fare clic su Sfoglia per individuare la directory in cui si desidera salvare il file di archivio.

  9. Nella casella Formato file selezionare un formato di file.

  10. Se lo si desidera, selezionare la casella di controllo Elimina voci dal database.

Ridurre le dimensioni del database di Gestione risorse di sistema Windows

Se si archiviano o si eliminano voci nel database e si desidera ridurre la quantità di spazio su disco utilizzata dall'accounting di Gestione risorse di sistema Windows, è necessario compattare il database. Per eseguire questa procedura è necessario scaricare e installare due utilità gratuite.

Scaricare e installare le utilità di database

Microsoft SQL Server Native Client

Scaricare e installare innanzitutto Microsoft SQL Server Native Client, una singola DLL (libreria di collegamento dinamico) contenente il supporto di runtime per le applicazioni che utilizzano funzionalità di SQL Server 2005.

  • Per scaricare Microsoft SQL Server Native Client per sistemi operativi x86, visitare il sito Web all'indirizzo http://go.microsoft.com/fwlink/?LinkId=94787.

  • Per scaricare Microsoft SQL Server Native Client per sistemi operativi x64, visitare il sito Web all'indirizzo http://go.microsoft.com/fwlink/?LinkId=94788.

  • Per scaricare Microsoft SQL Server Native Client per sistemi operativi IA64, visitare il sito Web all'indirizzo http://go.microsoft.com/fwlink/?LinkId=94789.

Utilità di query da riga di comando di Microsoft SQL Server 2005

Successivamente scaricare e installare l'utilità di query da riga di comando di Microsoft SQL Server 2005, che consente la connessione, l'invio di batch Transact-SQL e l'output di informazioni sui set di righe da istanze di SQL Server 7.0, SQL Server 2000 e SQL Server 2005.

Nota

SQLCMD sostituisce ISQL e OSQL, ma può coesistere con installazioni di ISQL e OSQL.

  • Per scaricare l'utilità di query da riga di comando di Microsoft SQL Server 2005 per sistemi operativi x86, visitare il sito Web all'indirizzo http://go.microsoft.com/fwlink/?LinkId=94790.

  • Per scaricare l'utilità di query da riga di comando di Microsoft SQL Server 2005 per sistemi operativi x64, visitare il sito Web all'indirizzo http://go.microsoft.com/fwlink/?LinkId=94791.

  • Per scaricare l'utilità di query da riga di comando di Microsoft SQL Server 2005 per sistemi operativi IA64, visitare il sito Web all'indirizzo http://go.microsoft.com/fwlink/?LinkId=94792.

Utilizzare le utilità SQL per compattare il database

La procedura seguente consente di compattare il database nativo di Gestione risorse di sistema Windows.

L'appartenenza al gruppo locale Administrators o equivalente, è il minimo indispensabile per completare questa procedura.

Per compattare il database

  1. Nel computer in cui si trova il database di accounting fare clic sul pulsante Start, scegliere Tutti i programmi e quindi Accessori.

  2. Fare clic con il pulsante destro del mouse su Prompt dei comandi e quindi scegliere Esegui come amministratore.

  3. Al prompt dei comandi digitare cd %windir%\system32\windows system resource manager\db e quindi premere INVIO.

  4. Al prompt dei comandi digitare shrinkdb.cmd e quindi premere INVIO.

Ulteriori considerazioni

  • Prima di utilizzare un'altra applicazione per eseguire il backup del database di accounting, è necessario arrestare il servizio Gestione risorse di sistema Windows.

  • Quando l'accounting è attivato, vengono generati dati di accounting da entrambi i tipi di gestione, ovvero Gestione e Profilo.

Ulteriori riferimenti

  • Gestione risorse di sistema Windows

  • Registrare i dati di accounting in Gestione risorse di sistema Windows

  • Per ulteriori informazioni su Gestione risorse di sistema Windows, visitare il sito Web all'indirizzo http://go.microsoft.com/fwlink/?LinkId=90924.


Personalizzare le visualizzazioni accounting

È possibile utilizzare ambito, filtri e raggruppamento per ordinare e personalizzare la visualizzazione dei dati di accounting in Gestione risorse di sistema Windows.

  • Impostare l'ambito di accounting

  • Raggruppare i dati di accounting

  • Filtrare i dati di accounting prima del raggruppamento

  • Filtrare i dati di accounting dopo il raggruppamento

  • Aggiungere o rimuovere colonne di accounting

  • Ordinare i dati di accounting

Ulteriori riferimenti

  • Registrare i dati di accounting in Gestione risorse di sistema Windows


Impostare l'ambito di accounting

L'appartenenza al gruppo locale Administrators o equivalente, è il minimo indispensabile per completare questa procedura.

Per impostare l'ambito di accounting

  1. Aprire Gestione risorse di sistema Windows. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione e quindi Gestione risorse di sistema Windows.

  2. Nella finestra di dialogo Connetti al computer selezionare Questo computer e quindi fare clic su Connetti.

  3. Nell'albero della console fare clic con il pulsante destro del mouse su Accounting e quindi scegliere Visualizzazione filtro.

  4. Nella finestra di dialogo Configura filtro visualizzazione accounting fare clic su Definisci filtro.

  5. Nella finestra di dialogo Definisci filtro selezionare la casella di controllo Data di inizio e quindi una data di inizio per i dati di accounting.

  6. Selezionare la casella di controllo Data di fine e quindi una data di fine per i dati di accounting. Se non si seleziona Data di fine, verranno visualizzati tutti i dati dalla data di inizio all'ora corrente.

  7. Fare clic su OK.

Ulteriori considerazioni

  • Nella finestra di dialogo Configura filtro visualizzazione accounting è possibile fare clic su Salva visualizzazione per salvare la configurazione della visualizzazione accounting corrente per un successivo utilizzo. È quindi possibile utilizzare Carica visualizzazione per caricare una configurazione salvata in precedenza oppure Reimposta visualizzazione per ripristinare la configurazione predefinita.

Ulteriori riferimenti

  • Gestione risorse di sistema Windows

  • Personalizzare le visualizzazioni accounting


Raggruppare i dati di accounting

L'appartenenza al gruppo locale Administrators o equivalente, è il minimo indispensabile per completare questa procedura.

Per raggruppare i dati di accounting

  1. Aprire Gestione risorse di sistema Windows. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione e quindi Gestione risorse di sistema Windows.

  2. Nella finestra di dialogo Connetti al computer selezionare Questo computer e quindi fare clic su Connetti.

  3. Nell'albero della console fare clic con il pulsante destro del mouse su Accounting e quindi scegliere Visualizzazione filtro.

  4. Nella finestra di dialogo Configura filtro visualizzazione accounting fare clic su Raggruppa elementi.

  5. Nell'elenco Raggruppa elementi per della finestra di dialogo Raggruppa elementi selezionare il gruppo in base al quale si desidera aggregare i dati di accounting.

  6. Impostare altri metodi di raggruppamento degli elementi utilizzando i menu restanti in base alle proprie esigenze e quindi fare clic su OK.

Ulteriori considerazioni

  • Nella finestra di dialogo Configura filtro visualizzazione accounting è possibile fare clic su Salva visualizzazione per salvare la configurazione della visualizzazione accounting corrente per un successivo utilizzo. È quindi possibile utilizzare Carica visualizzazione per caricare una configurazione salvata in precedenza oppure Reimposta visualizzazione per ripristinare la configurazione predefinita.

Ulteriori riferimenti

  • Gestione risorse di sistema Windows

  • Personalizzare le visualizzazioni accounting


Filtrare i dati di accounting prima del raggruppamento

L'appartenenza al gruppo locale Administrators o equivalente, è il minimo indispensabile per completare questa procedura.

Per filtrare i dati di accounting prima del raggruppamento

  1. Aprire Gestione risorse di sistema Windows. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione e quindi Gestione risorse di sistema Windows.

  2. Nella finestra di dialogo Connetti al computer selezionare Questo computer e quindi fare clic su Connetti.

  3. Nell'albero della console fare clic con il pulsante destro del mouse su Accounting e quindi scegliere Visualizzazione filtro.

  4. Nella finestra di dialogo Configura filtro visualizzazione accounting fare clic su Filtra prima del raggruppamento.

  5. Nella finestra di dialogo Filtra prima del raggruppamento creare i criteri in base ai quali filtrare i dati impostando le opzioni seguenti in Definizione criteri:

    • Nell'elenco Nome colonna selezionare la colonna di accounting che si desidera filtrare.

    • Nell'elenco Condizione selezionare la condizione di corrispondenza.

    • Nella casella Valore digitare il valore con cui si desidera stabilire una corrispondenza.

    • Nell'elenco Regola selezionare il valore logico (E oppure O).

  6. Per aggiungere i criteri specificati, fare clic su Aggiungi a elenco.

  7. Per creare ulteriori criteri per il filtro, ripetere i passaggi 5 e 6.

  8. Dopo aver creato i filtri, fare clic su OK per filtrare i dati di accounting.

Ulteriori considerazioni

  • Nella finestra di dialogo Configura filtro visualizzazione accounting è possibile fare clic su Salva visualizzazione per salvare la configurazione della visualizzazione accounting corrente per un successivo utilizzo. È quindi possibile utilizzare Carica visualizzazione per caricare una configurazione salvata in precedenza oppure Reimposta visualizzazione per ripristinare la configurazione predefinita.

Ulteriori riferimenti

  • Gestione risorse di sistema Windows

  • Personalizzare le visualizzazioni accounting


Filtrare i dati di accounting dopo il raggruppamento

L'appartenenza al gruppo locale Administrators o equivalente, è il minimo indispensabile per completare questa procedura.

Per filtrare i dati di accounting dopo il raggruppamento

  1. Aprire Gestione risorse di sistema Windows. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione e quindi Gestione risorse di sistema Windows.

  2. Nella finestra di dialogo Connetti al computer selezionare Questo computer e quindi fare clic su Connetti.

  3. Nell'albero della console fare clic con il pulsante destro del mouse su Accounting e quindi scegliere Visualizzazione filtro.

  4. Nella finestra di dialogo Configura filtro visualizzazione accounting fare clic su Filtra dopo il raggruppamento.

    Nota

    È possibile selezionare Filtra dopo il raggruppamento solo dopo aver utilizzato Raggruppa elementi per raggruppare i dati di accounting.

  5. Nella finestra di dialogo Filtra dopo il raggruppamento creare i criteri in base ai quali filtrare i dati impostando le opzioni seguenti in Definizione criteri:

    • Nell'elenco Nome colonna selezionare la colonna di accounting che si desidera filtrare.

    • Nell'elenco Condizione selezionare la condizione di corrispondenza.

    • Nella casella Valore digitare il valore con cui si desidera stabilire una corrispondenza.

    • Nell'elenco Regola selezionare il valore logico (E oppure O).

  6. Per aggiungere i criteri specificati, fare clic su Aggiungi a elenco.

  7. Per creare ulteriori criteri per il filtro, ripetere i passaggi 5 e 6.

  8. Dopo aver creato uno o più filtri, fare clic su OK per filtrare i dati di accounting.

Ulteriori considerazioni

  • Nella finestra di dialogo Configura filtro visualizzazione accounting è possibile fare clic su Salva visualizzazione per salvare la configurazione della visualizzazione accounting corrente per un successivo utilizzo. È quindi possibile utilizzare Carica visualizzazione per caricare una configurazione salvata in precedenza oppure Reimposta visualizzazione per ripristinare la configurazione predefinita.

Ulteriori riferimenti

  • Gestione risorse di sistema Windows

  • Personalizzare le visualizzazioni accounting

  • Raggruppare i dati di accounting


Aggiungere o rimuovere colonne di accounting

L'appartenenza al gruppo locale Administrators o equivalente, è il minimo indispensabile per completare questa procedura.

Per aggiungere o rimuovere colonne di accounting

  1. Aprire Gestione risorse di sistema Windows. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione e quindi Gestione risorse di sistema Windows.

  2. Nella finestra di dialogo Connetti al computer selezionare Questo computer e quindi fare clic su Connetti.

  3. Nell'albero della console fare clic con il pulsante destro del mouse su Accounting e quindi scegliere Visualizzazione filtro.

  4. Nella finestra di dialogo Configura filtro visualizzazione accounting fare clic su Specifica colonne.

  5. Nella finestra di dialogo Specifica colonne è possibile eseguire le operazioni seguenti:

    • Per rimuovere una colonna di accounting, fare clic su qualsiasi colonna elencata in Colonne visualizzate e quindi su Rimuovi.

    • Per aggiungere una colonna di accounting, fare clic su qualsiasi colonna elencata in Colonne disponibili e quindi su Aggiungi.

    • Per modificare l'ordine delle colonne visualizzate, fare clic su una colonna elencata in Colonne visualizzate e quindi su Su o Giù. Gli elementi più in alto nell'elenco vengono visualizzati più a sinistra nella visualizzazione dei dati di accounting.

  6. Dopo aver aggiunto, rimosso e riordinato le colonne, fare clic su OK.

Ulteriori considerazioni

  • Nella finestra di dialogo Configura filtro visualizzazione accounting è possibile fare clic su Salva visualizzazione per salvare la configurazione della visualizzazione accounting corrente per un successivo utilizzo. È quindi possibile utilizzare Carica visualizzazione per caricare una configurazione salvata in precedenza oppure Reimposta visualizzazione per ripristinare la configurazione predefinita.

Ulteriori riferimenti

  • Gestione risorse di sistema Windows

  • Personalizzare le visualizzazioni accounting


Ordinare i dati di accounting

L'appartenenza al gruppo locale Administrators o equivalente, è il minimo indispensabile per completare questa procedura.

Per ordinare i dati di accounting

  1. Aprire Gestione risorse di sistema Windows. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione e quindi Gestione risorse di sistema Windows.

  2. Nella finestra di dialogo Connetti al computer selezionare Questo computer e quindi fare clic su Connetti.

  3. Nell'albero della console fare clic con il pulsante destro del mouse su Accounting e quindi scegliere Visualizzazione filtro.

  4. Nella finestra di dialogo Configura filtro visualizzazione accounting fare clic su Ordina elementi.

  5. Nell'elenco Ordina elementi per della finestra di dialogo Ordina elementi selezionare un gruppo in base al quale ordinare i dati di accounting.

  6. Fare clic su Crescente o Decrescente.

  7. Se necessario, ripetere i passaggi 5 e 6. Al termine fare clic su OK.

Ulteriori considerazioni

  • Nella finestra di dialogo Configura filtro visualizzazione accounting è possibile fare clic su Salva visualizzazione per salvare la configurazione della visualizzazione accounting corrente per un successivo utilizzo. È quindi possibile utilizzare Carica visualizzazione per caricare una configurazione salvata in precedenza oppure Reimposta visualizzazione per ripristinare la configurazione predefinita.

Ulteriori riferimenti

  • Gestione risorse di sistema Windows

  • Personalizzare le visualizzazioni accounting


Configurare le opzioni di notifica

È possibile configurare Gestione risorse di sistema Windows per inviare notifiche per posta elettronica quando nel registro eventi vengono scritti determinati eventi.

L'appartenenza al gruppo locale Administrators o equivalente, è il minimo indispensabile per completare questa procedura.

Per configurare le opzioni di notifica

  1. Aprire Gestione risorse di sistema Windows. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione e quindi Gestione risorse di sistema Windows.

  2. Nella finestra di dialogo Connetti al computer selezionare Questo computer e quindi fare clic su Connetti.

  3. Nell'albero della console fare clic con il pulsante destro del mouse su Gestione risorse di sistema Windows (locale) e quindi scegliere Proprietà.

  4. Nella scheda Notifica della finestra di dialogo Proprietà - Gestione risorse di sistema Windows selezionare la casella di controllo Attiva notifica via posta elettronica.

  5. Nella casella Invia notifica a questi alias di posta elettronica digitare il proprio indirizzo di posta elettronica includendo il nome di dominio, ad esempio ammrete@contoso.com.

    Nota

    Per aggiungere più indirizzi di posta elettronica per la notifica, separarli con il punto e virgola.

  6. Nella casella Utilizza questo server SMTP digitare il nome NetBIOS o il nome di dominio completo (FQDN) del server SMTP (Simple Mail Transfer Protocol).

  7. In Selezionare i messaggi del registro eventi selezionare uno o più eventi. Per visualizzare l'elenco degli eventi, espandere Errore, Avviso o Informazioni.

    • Quando si seleziona Errore, Avviso o Informazioni, vengono inclusi tutti i singoli eventi della categoria.

    • Per cancellare tutti i singoli eventi di una categoria, selezionare di nuovo la categoria.

    • Per selezionare singoli eventi, espandere la categoria e quindi selezionare gli eventi.

  8. Dopo aver selezionato gli eventi, fare clic su OK.

Ulteriori riferimenti

  • Gestione risorse di sistema Windows

  • Utilizzare Gestione risorse di sistema Windows


Utilizzare Gestione risorse di sistema Windows in sistemi remoti

È possibile configurare Gestione risorse di sistema Windows in modo da archiviare i dati di accounting in un sistema remoto oppure in modo da eseguire l'amministrazione remota.

  • Archiviazione remota dei dati di accounting

  • Connettersi a un altro computer gestito da Gestione risorse di sistema Windows

    Importante

    Se Gestione risorse di sistema Windows è in esecuzione in un gruppo di lavoro e non in un dominio, per eseguire attività di amministrazione remote sia il client che il servizio devono essere in esecuzione con l'account Administrator locale.


Archiviazione remota dei dati di accounting

È possibile configurare Gestione risorse di sistema Windows in modo da archiviare i dati di accounting in un computer diverso rispetto al computer gestito. I dati possono essere registrati in un altro computer che esegue Gestione risorse di sistema Windows oppure in un server database SQL con un database dedicato per l'accounting di Gestione risorse di sistema Windows.

Altri computer che eseguono Gestione risorse di sistema Windows possono inoltre archiviare i propri dati di accounting nel database locale di Gestione risorse di sistema Windows ed è possibile abilitarne o disabilitarne l'accesso remoto agli archivi.

Quando i dati di accounting di più computer vengono archiviati in un unico database di Gestione risorse di sistema Windows, è possibile esaminare la cronologia dell'accounting in modo aggregato. Ciò facilita la regolazione delle risorse e dei carichi di lavoro tra più server.

Nota

Se Gestione risorse di sistema Windows è in esecuzione in un gruppo di lavoro e non in un dominio, per eseguire attività di amministrazione remote sia il client che il servizio devono essere in esecuzione con l'account Administrator locale.

Configurare il database di accounting

Nella procedura seguente viene descritto come modificare la posizione in cui vengono archiviati i dati di accounting dell'installazione locale di Gestione risorse di sistema Windows.

L'appartenenza al gruppo locale Administrators o equivalente, è il minimo indispensabile per completare questa procedura.

Per impostare il database di accounting

  1. Aprire Gestione risorse di sistema Windows. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione e quindi Gestione risorse di sistema Windows.

  2. Nella finestra di dialogo Connetti al computer selezionare Questo computer e quindi fare clic su Connetti.

  3. Nell'albero della console fare clic con il pulsante destro del mouse su Accounting e quindi scegliere Imposta server database.

  4. Nella finestra di dialogo Imposta database di accounting eseguire una delle operazioni seguenti in Database di accounting:

    • Fare clic su Accounting WSRM locale per continuare ad archiviare i dati di accounting nel computer locale. I dati verranno archiviati nella directory configurata nelle opzioni relative all'accounting.

    • Fare clic su Accounting WSRM remoto e quindi digitare il nome del computer remoto in cui si desidera archiviare i dati di accounting oppure fare clic su Sfoglia per individuare il computer nella directory di rete.

    • Fare clic su Accounting SQL e quindi digitare il nome origine dati (DSN) del database SQL in cui si desidera archiviare i dati di accounting.

  5. Fare clic su OK.

Abilitare o disabilitare i client di accounting

Un computer remoto che esegue Gestione risorse di sistema Windows può essere configurato in modo da archiviare i dati di accounting nel database locale. Tali computer remoti vengono denominati client di accounting. Nella procedura seguente viene descritto come consentire ai client di accounting di archiviare dati di accounting nel database locale e come disabilitare tale archiviazione da parte dei client di accounting.

L'appartenenza al gruppo locale Administrators o equivalente, è il minimo indispensabile per completare questa procedura.

Per abilitare o disabilitare i client di accounting

  1. Aprire Gestione risorse di sistema Windows. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione e quindi Gestione risorse di sistema Windows.

  2. Nella finestra di dialogo Connetti al computer selezionare Questo computer e quindi fare clic su Connetti.

  3. Nell'albero della console fare clic con il pulsante destro del mouse su Accounting e quindi scegliere Imposta client di accounting.

  4. Nell'elenco Client di accounting della finestra di dialogo Aggiorna stato client di accounting selezionare la colonna Stato per attivare il client di accounting nella stessa riga oppure deselezionare la casella Stato per disattivare il client di accounting nella stessa riga.

    Per abilitare o disabilitare tutti i client di accounting, fare clic su Abilita tutti o Disabilita tutti.

    Nota

    Se il computer locale non è configurato in modo da archiviare i dati di accounting in un diverso computer, facendo clic su Disabilita tutti verrà disabilitata l'archiviazione dei dati di accounting anche per l'installazione locale di Gestione risorse di sistema Windows.

  5. Fare clic su OK. Le modifiche apportate diverranno immediatamente effettive.

Ulteriori riferimenti

  • Gestione risorse di sistema Windows

  • Registrare i dati di accounting in Gestione risorse di sistema Windows

  • Utilizzare Gestione risorse di sistema Windows in sistemi remoti

  • Per ulteriori informazioni su Gestione risorse di sistema Windows, visitare il sito Web all'indirizzo http://go.microsoft.com/fwlink/?LinkId=90924.


Connettersi a un altro computer gestito da Gestione risorse di sistema Windows

Per eseguire l'amministrazione remota, è possibile utilizzare Microsoft Management Console (MMC) per connettersi a un altro computer gestito da Gestione risorse di sistema Windows.

Per eseguire questa procedura, è necessaria almeno l'appartenenza al gruppo Administrators locale e al gruppo Administrators nel computer di destinazione.

Nota

Se Gestione risorse di sistema Windows è in esecuzione in un gruppo di lavoro e non in un dominio, per eseguire attività di amministrazione remote sia il client che il servizio devono essere in esecuzione con l'account Administrator locale.

Per connettersi a un altro computer gestito da Gestione risorse di sistema Windows

  1. Aprire Gestione risorse di sistema Windows. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione e quindi Gestione risorse di sistema Windows.

  2. Nella finestra di dialogo Connetti al computer selezionare Altro computer e quindi digitare il nome del computer oppure fare clic su Sfoglia per individuare il computer nella directory di rete.

  3. Fare clic su Connetti.

Ulteriori riferimenti

  • Gestione risorse di sistema Windows

  • Registrare i dati di accounting in Gestione risorse di sistema Windows

  • Utilizzare Gestione risorse di sistema Windows in sistemi remoti

  • Per ulteriori informazioni su Gestione risorse di sistema Windows, visitare il sito Web all'indirizzo http://go.microsoft.com/fwlink/?LinkId=90924.


Gestire i gruppi di computer

Utilizzando i gruppi di computer, è possibile organizzare più agevolmente i server che si desidera gestire. I criteri possono essere esportati o modificati in modo semplice per un intero gruppo di computer.

Nota

Per poter essere aggiunto a un gruppo di computer, un computer deve essere membro di un dominio.

  • Aggiungere o eliminare gruppi di computer

  • Aggiungere o eliminare computer


Aggiungere o eliminare gruppi di computer

È possibile creare gruppi di computer per consentire una gestione più agevole dei computer gestiti tramite Gestione risorse di sistema Windows. Le informazioni di configurazione possono essere esportate e modificate in modo facile per un intero gruppo di computer

L'appartenenza al gruppo locale Administrators o equivalente, è il minimo indispensabile per completare questa procedura.

Aggiungere un gruppo di computer

Per aggiungere un gruppo di computer

  1. Aprire Gestione risorse di sistema Windows. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione e quindi Gestione risorse di sistema Windows.

  2. Nella finestra di dialogo Connetti al computer selezionare Questo computer e quindi fare clic su Connetti.

  3. Nell'albero della console fare clic su Gruppi di computer.

  4. Nell'albero della console fare clic con il pulsante destro del mouse su Gruppi di computer e quindi scegliere Aggiungi gruppo di computer.

  5. Nella finestra di dialogo Aggiungi gruppo di computer digitare un nome per il gruppo di computer nella casella Nome gruppo di computer.

  6. Nella casella Descrizione digitare una descrizione per il gruppo di computer e quindi fare clic su OK.

Eliminare un gruppo di computer

Per eliminare un gruppo di computer

  1. Aprire Gestione risorse di sistema Windows. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione e quindi Gestione risorse di sistema Windows.

  2. Nella finestra di dialogo Connetti al computer selezionare Questo computer e quindi fare clic su Connetti.

  3. Nell'albero della console espandere Gruppi di computer.

  4. Fare clic con il pulsante destro del mouse sul gruppo di computer che si desidera eliminare e quindi scegliere Elimina.

  5. Nel messaggio di eliminazione del gruppo di computer fare clic su Sì.

    Avvertenza

    Eliminando un gruppo di computer non vuoto, verranno eliminati anche tutti i computer membri del gruppo.

Ulteriori riferimenti

  • Aggiungere o eliminare computer

  • Gestire i gruppi di computer


Aggiungere o eliminare computer

È possibile creare e raggruppare i computer per consentire una gestione più agevole dei computer gestiti tramite Gestione risorse di sistema Windows. Le informazioni di configurazione possono infatti essere esportate e modificate in modo facile per un gruppo di computer o per i singoli computer membri del gruppo.

Nota

Per poter essere aggiunto a un gruppo di computer, un computer deve essere membro di un dominio.

L'appartenenza al gruppo locale Administrators o equivalente, è il minimo indispensabile per completare questa procedura.

Aggiungere un computer

Per aggiungere un computer

  1. Aprire Gestione risorse di sistema Windows. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione e quindi Gestione risorse di sistema Windows.

  2. Nella finestra di dialogo Connetti al computer selezionare Questo computer e quindi fare clic su Connetti.

  3. Nell'albero della console espandere Gruppi di computer.

  4. Fare clic con il pulsante destro del mouse sul gruppo di computer a cui si desidera aggiungere un computer e quindi scegliere Aggiungi computer.

  5. Nella finestra di dialogo Aggiungi computer digitare un nome per il computer nella casella Nome computer e quindi fare clic su Controlla nome.

  6. Fare clic su OK.

Eliminare un computer

Per eliminare un computer

  1. Aprire Gestione risorse di sistema Windows. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione e quindi Gestione risorse di sistema Windows.

  2. Nella finestra di dialogo Connetti al computer selezionare Questo computer e quindi fare clic su Connetti.

  3. Nell'albero della console espandere Gruppi di computer.

  4. Espandere i gruppi di computer contenenti i computer da eliminare, fare clic con il pulsante destro del mouse sul computer desiderato e quindi scegliere Elimina.

  5. Nel messaggio di eliminazione del computer fare clic su Sì.

Ulteriori riferimenti

  • Aggiungere o eliminare gruppi di computer

  • Gestire i gruppi di computer


Gestire le priorità utente

Quando come criterio di gestione è impostato Weighted_Remote_Sessions, è necessario impostare le priorità utente per i diversi utenti e gruppi. Il sistema quindi allocherà le relative risorse in base alla priorità impostata per gli account utente o di gruppo.

L'appartenenza al gruppo locale Administrators o equivalente, è il minimo indispensabile per completare questa procedura.

Impostare la priorità utente

Per impostare la priorità utente

  1. Aprire Gestione risorse di sistema Windows. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione e quindi Gestione risorse di sistema Windows.

  2. Nella finestra di dialogo Connetti al computer selezionare Questo computer e quindi fare clic su Connetti.

  3. Nell'albero della console espandere Criteri di allocazione delle risorse, fare clic con il pulsante destro del mouse su Weighted_Remote_Sessions e quindi scegliere Proprietà.

  4. Nella finestra di dialogo Proprietà - Weighted_Remote_Sessions fare clic su Aggiungi.

  5. Nella finestra di dialogo Aggiungi utenti o gruppi fare clic su Aggiungi.

  6. Nella finestra di dialogo Seleziona Utenti o Gruppi digitare il nome degli utenti o dei gruppi nella casella Immettere i nomi degli oggetti da selezionare e quindi fare clic su OK.

  7. Nell'elenco Priorità della finestra di dialogo Aggiungi utenti o gruppi selezionare la priorità desiderata e quindi fare clic su OK.

  8. Ripetere i passaggi da 4 a 7 per ogni account e priorità da impostare.

  9. Fare clic su OK.

Modificare la priorità utente

Per modificare la priorità utente

  1. Aprire Gestione risorse di sistema Windows. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione e quindi Gestione risorse di sistema Windows.

  2. Nella finestra di dialogo Connetti al computer selezionare Questo computer e quindi fare clic su Connetti.

  3. Nell'albero della console espandere Criteri di allocazione delle risorse, fare clic con il pulsante destro del mouse su Weighted_Remote_Sessions e quindi scegliere Proprietà.

  4. Nella finestra di dialogo Proprietà - Weighted_Remote_Sessions fare clic su un account utente o di gruppo in Account e priorità associata e quindi fare clic su Modifica.

  5. Nell'elenco Priorità della finestra di dialogo Aggiungi utenti o gruppi selezionare la priorità desiderata e quindi fare clic su OK.

  6. Ripetere i passaggi 4 e 5 per ogni account e priorità da modificare.

  7. Fare clic su OK.

Rimuovere la priorità utente

Per rimuovere la priorità utente

  1. Aprire Gestione risorse di sistema Windows. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione e quindi Gestione risorse di sistema Windows.

  2. Nella finestra di dialogo Connetti al computer selezionare Questo computer e quindi fare clic su Connetti.

  3. Nell'albero della console espandere Criteri di allocazione delle risorse, fare clic con il pulsante destro del mouse su Weighted_Remote_Sessions e quindi scegliere Proprietà.

  4. Nella finestra di dialogo Proprietà - Weighted_Remote_Sessions fare clic su un account utente o di gruppo in Account e priorità associata e quindi fare clic su Rimuovi.

  5. Nel messaggio di rimozione dell'utente o del gruppo fare clic su Sì.

  6. Ripetere i passaggi 4 e 5 per ogni account e priorità da rimuovere.

  7. Fare clic su OK.

Ulteriori riferimenti

  • Elenco di controllo: gestire le risorse utilizzando criteri di allocazione risorse incorporati

  • Avviare e arrestare la gestione delle risorse


Interfaccia utente: Gestione risorse di sistema Windows

  • Proprietà - Gestione risorse di sistema Windows

  • Proprietà dei criteri di allocazione risorse

  • Finestra di dialogo Aggiungi o modifica allocazione risorse

  • Proprietà dei criteri di corrispondenza processo

  • Finestra di dialogo Aggiungi regola

  • Finestra di dialogo Aggiungi regola

  • Finestra di dialogo Aggiungi/Modifica criterio condizionale

  • Proprietà dei criteri condizionali


Proprietà - Gestione risorse di sistema Windows

Per modificare le impostazioni di gestione, visualizzare o modificare gli elenchi dei programmi esclusi dalla gestione, configurare le notifiche e impostare le opzioni relative all'accounting in Gestione risorse di sistema Windows, utilizzare la pagina Proprietà - Gestione risorse di sistema Windows.

Per aprire Proprietà - Gestione risorse di sistema Windows

  1. Aprire Gestione risorse di sistema Windows. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione e quindi Gestione risorse di sistema Windows.

  2. Nella finestra di dialogo Connetti al computer selezionare Questo computer e quindi fare clic su Connetti.

  3. Nell'albero della console fare clic con il pulsante destro del mouse su Gestione risorse di sistema Windows (locale) e quindi scegliere Proprietà.

Scheda Dettagli

Gestione

Nella scheda Gestione è possibile avviare o arrestare la gestione modificando Stato della gestione.

È inoltre possibile configurare opzioni di Gestione risorse di sistema Windows di base come lo stato del calendario, il tipo di gestione, il criterio di allocazione risorse corrente e il criterio predefinito del calendario.

Elenco di esclusione

Selezionare Definiti dall'utente o Definiti dal sistema per visualizzare i processi esclusi dalla gestione tramite Gestione risorse di sistema Windows.

È inoltre possibile modificare l'elenco di esclusione definito dall'utente. Per ulteriori informazioni, vedere Utilizzare l'elenco di esclusione definito dall'utente.

Notifica

Configurare le opzioni di notifica in base agli eventi registrati da Gestione risorse di sistema Windows. Per ulteriori informazioni, vedere Configurare le opzioni di notifica.

Accounting

Attivare o disattivare la registrazione delle informazioni di accounting dei processi e configurare l'intervallo di registrazione.


Proprietà dei criteri di allocazione risorse

Per visualizzare o modificare le proprietà di un criterio di allocazione risorse dopo che è stato creato, nell'albero della console fare clic con il pulsante destro del mouse sul nome del criterio e quindi scegliere Proprietà.

Attività comuni relative alle proprietà dei criteri di allocazione risorse

Attività Procedura

Modificare l'ordine di valutazione dei criteri di corrispondenza processo

Nella scheda Risorse fare clic sul nome del criterio di corrispondenza processo in Alloca le seguenti risorse e quindi fare clic sulla freccia in su o in giù per modificarne la posizione nell'elenco.

Nota

Le corrispondenze processo vengono valutate nell'elenco dall'alto verso il basso. Pertanto, un processo che potrebbe corrispondere a più criteri di un criterio di allocazione risorse viene gestito in base all'allocazione di risorse associata al primo criterio di corrispondenza processo con cui viene stabilita una corrispondenza.

Aggiungere una nuova allocazione di risorse

Nella scheda Risorse fare clic su Aggiungi.

Per ulteriori informazioni sulla creazione di allocazioni di risorse, vedere Creare un nuovo criterio di allocazione risorse.

Modificare un'allocazione di risorse esistente

Nella scheda Risorse fare clic sul nome del criterio di corrispondenza processo per l'allocazione di risorse che si desidera modificare e quindi fare clic su Modifica.

Per ulteriori informazioni sulla modifica di un'allocazione di risorse esistente, vedere Finestra di dialogo Aggiungi o modifica allocazione risorse.

Rimuovere un'allocazione di risorse esistente

Nella scheda Risorse fare clic sul nome del criterio di corrispondenza processo per l'allocazione di risorse che si desidera eliminare e quindi fare clic su Rimuovi.

Visualizzare l'albero di sottoallocazione

Per una visualizzazione gerarchica di tutte le allocazioni di risorse del criterio di allocazione risorse, nella scheda Risorse fare clic su Albero.

Visualizzare o modificare elementi che dipendono dal criterio di allocazione risorse

Nella scheda Dipendenze è possibile visualizzare gli eventi di calendario, le pianificazioni e le condizioni che dipendono dal criterio di allocazione risorse.

Per modificare un elemento dipendente, fare clic sul nome dell'elemento nell'elenco Elementi dipendenti e quindi su Modifica.


Finestra di dialogo Aggiungi o modifica allocazione risorse

Per ulteriori informazioni sulla creazione di allocazioni di risorse, vedere Creare un nuovo criterio di allocazione risorse.

Attività comuni nella finestra di dialogo Aggiunta o modifica allocazione risorse

Attività Procedura

Scegliere un criterio di corrispondenza processo

Nella scheda Generale selezionare un criterio di corrispondenza processo nell'elenco Criteri di corrispondenza processo.

Configurare un'allocazione della CPU

Nella scheda Generale utilizzare le frecce in su e in giù oppure digitare un numero per specificare la percentuale di allocazione della CPU.

Per ulteriori informazioni sulle allocazioni della CPU, vedere Informazioni sulla gestione del processore in Gestione risorse di sistema Windows.

Configurare un'allocazione della memoria

Nella scheda Memoria selezionare Usa massimo memoria vincolata per ogni processo o Usa limite massimo working set per ogni processo e digitare un numero per il limite (in MB).

Per ulteriori informazioni sulle allocazioni della memoria, vedere Informazioni sulla gestione della memoria in Gestione risorse di sistema Windows.

Configurare l'affinità del processore

Nella scheda Avanzate selezionare la casella di controllo Usa processori specificati e quindi digitare il numero o l'intervallo di numeri dei processori nella casella.

Per ulteriori informazioni sull'affinità del processore, vedere Informazioni sulla gestione del processore in Gestione risorse di sistema Windows.

Sottoallocare le risorse

Nella scheda Avanzate selezionare Standard nell'elenco Regola di gestione e quindi fare clic su Sottoalloca risorse.

Per ulteriori informazioni sulla sottoallocazione, vedere Sottoallocare le risorse.


Proprietà dei criteri di corrispondenza processo

Per visualizzare o modificare le proprietà di un criterio di corrispondenza processo, nell'albero della console espandere Criteri di corrispondenza processo, fare clic con il pulsante destro del mouse sul nome del criterio che si desidera visualizzare o modificare e quindi scegliere Proprietà.

Scheda Dettagli

Regole

È possibile aggiungere, modificare o rimuovere le regole utilizzate per stabilire una corrispondenza tra i processi e il criterio di corrispondenza processo.

Per modificare o eliminare una regola esistente, fare clic sulla regola e quindi su Modifica o Rimuovi.

Per creare una nuova regola, fare clic su Aggiungi.

Per ulteriori informazioni sulla creazione di criteri di corrispondenza processo, vedere Utilizzare criteri di corrispondenza processo.

Dipendenze

Quando si modifica un criterio di corrispondenza processo, è inoltre possibile modificare i criteri di allocazione risorse che dipendono dal criterio. Nella scheda Dipendenze sono elencati tutti i criteri di allocazione risorse del computer locale che utilizzano il criterio di corrispondenza processo corrente per identificare i processi per la gestione.

Per visualizzare o modificare le proprietà di un criterio di allocazione risorse dipendente, fare clic sul nome del criterio di allocazione risorse nell'elenco e quindi su Proprietà.

Per ulteriori informazioni sulla modifica dei criteri di allocazione risorse, vedere Finestra di dialogo Aggiungi o modifica allocazione risorse.


Finestra di dialogo Aggiungi regola

Quando si crea un nuovo criterio di corrispondenza processo o se ne modifica uno esistente, è possibile aggiungere una nuova regola facendo clic su Aggiungi nella scheda Regole della pagina delle proprietà del criterio di corrispondenza processo.

Attività comuni nella finestra di dialogo Aggiungi regola

Attività Procedura

Includere un file o una riga di comando:

  • Digitando il percorso completo e il nome del file.

  • Digitando un'istruzione costituita da un'espressione regolare.

Nella scheda File o righe di comando fare clic su una riga vuota in File o righe di comando inclusi e quindi digitare il nome di file o l'espressione regolare con cui si desidera stabilire una corrispondenza.

Per ulteriori informazioni sulla corrispondenza di righe di comando o file, vedere Creare un criterio di corrispondenza processo utilizzando la corrispondenza del percorso.

Scegliere un'applicazione o un servizio da includere in un elenco

Nella scheda File o righe di comando selezionare Servizio registrato, Processo in esecuzione, Applicazione o Pool di applicazioni di IIS nell'elenco a discesa e quindi fare clic su Seleziona.

Fare clic sul nome del processo corrispondente che si desidera includere e quindi su OK.

Nota

Non è possibile selezionare più processi. È necessario completare questa procedura per ogni processo che si desidera includere.

Escludere un file o una riga di comando:

  • Digitando il percorso completo e il nome del file.

  • Digitando un'istruzione costituita da un'espressione regolare.

Nella scheda File o righe di comando selezionare la casella di controllo File o righe di comando esclusi.

Fare clic su una riga vuota in File o righe di comando esclusi e quindi digitare il nome di file o l'espressione regolare con cui si desidera stabilire una corrispondenza.

Per ulteriori informazioni sulla corrispondenza di righe di comando e file, vedere Creare un criterio di corrispondenza processo utilizzando la corrispondenza del percorso.

Nota

Escludendo una riga di comando o un file in un criterio di corrispondenza processo, la riga di comando o il file viene escluso solo dalla gestione tramite le allocazioni di risorse che dipendono dal criterio di corrispondenza processo. Per escludere completamente una riga di comando o un file dalla gestione tramite Gestione risorse di sistema Windows, vedere Utilizzare l'elenco di esclusione definito dall'utente.

Scegliere un'applicazione o un servizio da escludere in un elenco

Nella scheda File o righe di comando selezionare la casella di controllo File o righe di comando esclusi.

Selezionare Servizio registrato, Processo in esecuzione, Applicazione o Pool di applicazioni di IIS nell'elenco a discesa e quindi fare clic su Seleziona.

Fare clic sul nome del processo corrispondente che si desidera escludere e quindi su OK.

Nota

Non è possibile selezionare più processi. È necessario completare questa procedura per ogni processo che si desidera escludere.

Includere un utente o un gruppo

Nella scheda Utenti o gruppi fare clic su Aggiungi in Utenti e gruppi inclusi.

Nota

Potrebbe essere richiesta l'immissione di un nome utente e una password con l'autorizzazione per la ricerca di utenti o gruppi nel dominio.

Nella finestra di dialogo Seleziona utenti o gruppi scegliere gli utenti o i gruppi da includere.

Nota

Gli utenti e i gruppi aggiunti dalla finestra di dialogo Aggiungi regola vengono convalidati da Gestione risorse di sistema Windows. Gli utenti e i gruppi inclusi in un criterio di corrispondenza processo importato non vengono invece convalidati.

Per ulteriori informazioni sulla corrispondenza di utenti e gruppi, vedere Creare un criterio di corrispondenza processo utilizzando la corrispondenza dell'utente o del gruppo.

Escludere un utente o un gruppo

Nella scheda Utenti o gruppi selezionare la casella di controllo Utenti e gruppi esclusi e quindi fare clic su Aggiungi.

Nota

Potrebbe essere richiesta l'immissione di un nome utente e una password con l'autorizzazione per la ricerca di utenti o gruppi nel dominio.

Nella finestra di dialogo Seleziona utenti o gruppi scegliere gli utenti o i gruppi da escludere.

Nota

Gli utenti e i gruppi aggiunti dalla finestra di dialogo Aggiungi regola vengono convalidati da Gestione risorse di sistema Windows. Gli utenti e i gruppi che fanno parte di un criterio di corrispondenza processo importato non vengono invece convalidati.

Rimuovere una regola

Fare clic sul nome della regola che si desidera rimuovere e quindi su Rimuovi.


Finestra di dialogo Aggiungi/Modifica criterio condizionale

Nella finestra di dialogo Aggiungi/Modifica criterio condizionale viene visualizzato un elenco di tutti i criteri condizionali configurati nel computer. Per aprire la finestra di dialogo Aggiungi/Modifica criterio condizionale, nell'albero della console di Gestione risorse di sistema Windows fare clic con il pulsante destro del mouse su Condizioni e quindi scegliere Aggiungi/Modifica criteri condizionali.

  • Per aggiungere un nuovo criterio condizionale, fare clic su Aggiungi.

  • Per visualizzare o modificare le proprietà di un criterio condizionale esistente, fare clic sul criterio desiderato e quindi su Modifica.

  • Per eliminare un criterio condizionale, fare clic sul criterio desiderato e quindi su Rimuovi.

Ulteriori considerazioni

È inoltre possibile aprire la finestra di dialogo Aggiungi/Modifica criterio condizionale facendo clic su Azione e quindi su Aggiungi/Modifica criteri condizionali oppure facendo clic su Aggiungi/Modifica criteri condizionali nel riquadro Azioni.

Ulteriori riferimenti

  • Proprietà dei criteri condizionali

  • Utilizzare condizioni per regolare i criteri delle risorse


Proprietà dei criteri condizionali

È possibile modificare il criterio di gestione in un computer gestito tramite Gestione risorse di sistema Windows quando si verifica un evento oppure quando uno stato o una combinazione di stati aggiuntiva che è stata definita viene rilevata come true in seguito a un evento.

  • Per visualizzare o modificare le proprietà di un criterio condizionale, nella finestra di dialogo Aggiungi/Modifica criterio condizionale fare clic sul criterio desiderato nell'elenco e quindi su Modifica.

  • Per creare un nuovo criterio condizionale, nella finestra di dialogo Aggiungi/Modifica criterio condizionale fare clic su Aggiungi.

    Nota

    È possibile configurare un solo criterio condizionale per ogni categoria di evento. Per creare un nuovo criterio condizionale per il processore o la memoria, è innanzitutto necessario rimuovere il criterio condizionale per il processore o la memoria esistente. Se si aggiunge un nuovo criterio condizionale per Servizio cluster, verrà richiesto di sovrascrivere il criterio condizionale per Servizio cluster con cui è in conflitto.

Attività comuni relative alle proprietà dei criteri condizionali

Attività Procedura

Creare un nuovo criterio condizionale.
  1. In Dettagli evento selezionare Memoria, Processore o MSCS nell'elenco Categoria.

    • Se si è selezionato MSCS, nell'elenco Nome oggetto selezionare o digitare il nome del nodo o del gruppo di risorse e quindi selezionare un valore nell'elenco Attivazione.

    • Se si è selezionato Processore o Memoria, eseguire la procedura per definire uno stato che attiverà una modifica del criterio.

  2. Configurare il criterio predefinito e definire uno stato che attiverà una modifica del criterio utilizzando le due procedure seguenti.

Configurare il criterio predefinito associato all'evento.

Nell'elenco Selezionare criterio predefinito selezionare il nome di un criterio di allocazione risorse.

Nota

Il criterio predefinito viene applicato solo se nessuno stato configurato nel criterio condizionale è impostato su true.

Definire uno stato aggiuntivo che attiverà una modifica del criterio quando si verifica un evento.
  1. In Stati fare clic in una riga vuota per accedere alla configurazione dei dettagli.

  2. In Dettagli per lo stato selezionato nella casella precedente fare clic in una cella vuota della colonna Categoria e quindi selezionare una categoria nell'elenco a discesa.

    • Se si è selezionato Processore o Memoria, nella colonna Operatore selezionare un operatore e quindi nella colonna Quantità digitare il numero di processori o la quantità di memoria in MB.

    • Se si è selezionato MSCS, nell'elenco Nome oggetto fare clic e digitare il nome del nodo o del gruppo di risorse e quindi nella colonna Stato fare clic per selezionare uno stato nell'elenco a discesa.

  3. Dopo aver creato i dettagli relativi allo stato, in Stati fare clic sulla colonna Nome criterio nella riga dello stato appena creato. Nell'elenco a discesa scegliere un criterio da applicare quando lo stato è impostato su true.

Combinare clausole di stato per creare gruppi.
  1. In Stati fare clic in una cella vuota per creare un nuovo stato oppure fare clic nella riga di uno stato esistente.

  2. In Dettagli per lo stato selezionato nella casella precedente aggiungere i diversi stati che si desidera combinare in una singola clausola da valutare come true o false.

  3. In Dettagli per lo stato selezionato nella casella precedente fare clic sulla prima riga che si desidera combinare con un'altra riga e quindi fare clic tenendo premuto MAIUSC per selezionare le righe da combinare.

    Nota

    È possibile raggruppare solo righe consecutive. I gruppi nidificati sono supportati.

  4. Fare clic con il pulsante destro del mouse sulle righe evidenziate e quindi scegliere Aggiungi gruppo per creare una clausola.

Modificare l'ordine in cui gli stati vengono valutati come true o false.

In Stati fare clic sullo stato che si desidera spostare e quindi fare clic sulla freccia in su o in giù per spostarlo. Gli stati all'inizio dell'elenco vengono valutati per primi.

Attivare o disattivare la valutazione di uno stato quando si verifica l'evento associato.

In Stati selezionare la casella di controllo nella riga dello stato per attivare o disattivare la valutazione dello stato quando si verifica l'evento associato.

Ulteriori riferimenti

  • Utilizzare condizioni per regolare i criteri delle risorse

  • Finestra di dialogo Aggiungi/Modifica criterio condizionale